/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{AD.H}					**
**	[Subject]	{{Mask pattern for A/D converter}}	**
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

/**********************************
 *   ADMOD0 (A/D Mode Reg.0)      *
 **********************************/
#define	EOCF		0x80	/* end flag;		0:busy or wait	1:end */
#define	ADBF		0x40	/* busy flag;		0:not busy	1:busy */
#define	ITM0		0x08	/* fixed repeat mode:	0:once		1:4 times */
#define	REPET		0x04	/* repeat mode;		0:single	1:repeat */
#define	SCAN		0x02	/* scannig mode;	0:normal	1:scan */
#define	ADS		0x01	/* conversion start;	0:-----		1:start	*/

/**********************************
 *   ADMOD1 (A/D Mode Reg.1)      *
 **********************************/
#define VREFON   	0x80    /* resistance;		0:0ff		1:on */
#define	I2AD		0x40	/* control IDLE2:	0:stop		1:start */
#define	ADCH3		0x08	/* analog channel select bit 3 */
#define	ADCH2		0x04	/* analog channel select bit 2 */
#define	ADCH1		0x02	/* analog channel select bit 1 */
#define	ADCH0		0x01	/* analog channel select bit 0 */
#define	ADCH		0x0f	/* analog channel select
					---normal-------|-scan----
					0000:AN0	|AN0
					0001:AN1	|AN0->AN1
					0010:AN2	|AN0->AN1->AN2
					0011:AN3	|AN0->AN1->AN2->AN3
					0100:AN4	|AN0->AN1->AN2->AN3->
							|AN4
					0101:AN5	|AN0->AN1->AN2->AN3->
							|AN4->AN5
					0110:AN6	|AN0->AN1->AN2->AN3->
							|AN4->AN5->AN6
					0111:AN7	|AN0->AN1->AN2->AN3->
							|AN4->AN5->AN6->AN7
					1000:AN8	|AN0->AN1->AN2->AN3->
							|AN4->AN5->AN6->AN7->
							|AN8
					1001:AN9	|AN0->AN1->AN2->AN3->
							|AN4->AN5->AN6->AN7->
							|AN8->AN9
					1010:AN10	|AN0->AN1->AN2->AN3->
							|AN4->AN5->AN6->AN7->
							|AN8->AN9->AN10
					1011:AN11	|AN0->AN1->AN2->AN3->
							|AN4->AN5->AN6->AN7->
							|AN8->AN9->AN10->AN11	*/

/*-eof-*/
