/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{CAN.H}					**
**	[Subject]	{{CAN control}}				**
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

/**************************************
 *   MI0L (Message Identifier 0 Low)  *
 *************************************/
#define	ID23		0x80
#define	ID22		0x40
#define	ID21		0x20
#define	ID20		0x10
#define	ID19		0x08
#define	ID18		0x04
#define	ID17		0x02
#define	ID16		0x01

/***************************************
 *   MI0H (Message Identifier 0 High)  *
 **************************************/
#define	IDE		0x80
#define	GAME		0x40
#define	RFH		0x20
#define	ID28		0x10
#define	ID27		0x08
#define	ID26		0x04
#define	ID25		0x02
#define	ID24		0x01

/**************************************
 *   MI1L (Message Identifier 1 Low)  *
 *************************************/
#define	ID7		0x80
#define	ID6		0x40
#define	ID5		0x20
#define	ID4		0x10
#define	ID3		0x08
#define	ID2		0x04
#define	ID1		0x02
#define	ID0		0x01

/***************************************
 *   MI1H (Message Identifier 1 High)  *
 **************************************/
#define	ID15		0x80
#define	ID14		0x40
#define	ID13		0x20
#define	ID12		0x10
#define	ID11		0x08
#define	ID10		0x04
#define	ID9		0x02
#define	ID8		0x01

/***************************************
 *   MCFL (Message Control Field Low)  *
 **************************************/
#define	RTR		0x10
#define	DLC3		0x08
#define	DLC2		0x04
#define	DLC1		0x02
#define	DLC0		0x01

/****************************************
 *   MCFH (Message Control Field High)  *
 ***************************************/

/******************
 *   D0 (Data 0)  *
 *****************/
#define	D07		0x80
#define	D06		0x40
#define	D05		0x20
#define	D04		0x10
#define	D03		0x08
#define	D02		0x04
#define	D01		0x02
#define	D00		0x01

/******************
 *   D1 (Data 1)  *
 *****************/
#define	D17		0x80
#define	D16		0x40
#define	D15		0x20
#define	D14		0x10
#define	D13		0x08
#define	D12		0x04
#define	D11		0x02
#define	D10		0x01

/******************
 *   D2 (Data 2)  *
 *****************/
#define	D27		0x80
#define	D26		0x40
#define	D25		0x20
#define	D24		0x10
#define	D23		0x08
#define	D22		0x04
#define	D21		0x02
#define	D20		0x01

/******************
 *   D3 (Data 3)  *
 *****************/
#define	D37		0x80
#define	D36		0x40
#define	D35		0x20
#define	D34		0x10
#define	D33		0x08
#define	D32		0x04
#define	D31		0x02
#define	D30		0x01

/******************
 *   D4 (Data 4)  *
 *****************/
#define	D47		0x80
#define	D46		0x40
#define	D45		0x20
#define	D44		0x10
#define	D43		0x08
#define	D42		0x04
#define	D41		0x02
#define	D40		0x01

/******************
 *   D5 (Data 5)  *
 *****************/
#define	D57		0x80
#define	D56		0x40
#define	D55		0x20
#define	D54		0x10
#define	D53		0x08
#define	D52		0x04
#define	D51		0x02
#define	D50		0x01

/******************
 *   D6 (Data 6)  *
 *****************/
#define	D67		0x80
#define	D66		0x40
#define	D65		0x20
#define	D64		0x10
#define	D63		0x08
#define	D62		0x04
#define	D61		0x02
#define	D60		0x01

/******************
 *   D7 (Data 7)  *
 *****************/
#define	D77		0x80
#define	D76		0x40
#define	D75		0x20
#define	D74		0x10
#define	D73		0x08
#define	D72		0x04
#define	D71		0x02
#define	D70		0x01

/**********************************
 *   TSVL (Time Stamp Value Low)  *
 *********************************/
#define	TSV7		0x80
#define	TSV6		0x40
#define	TSV5		0x20
#define	TSV4		0x10
#define	TSV3		0x08
#define	TSV2		0x04
#define	TSV1		0x02
#define	TSV0		0x01

/***********************************
 *   TSVH (Time Stamp Value High)  *
 **********************************/
#define	TSV15		0x80
#define	TSV14		0x40
#define	TSV13		0x20
#define	TSV12		0x10
#define	TSV11		0x08
#define	TSV10		0x04
#define	TSV9		0x02
#define	TSV8		0x01

/***********************************************
 *   MCL (Mailbox Configuration Register Low)  *
 **********************************************/
#define	MC7		0x80
#define	MC6		0x40
#define	MC5		0x20
#define	MC4		0x10
#define	MC3		0x08
#define	MC2		0x04
#define	MC1		0x02
#define	MC0		0x01

/************************************************
 *   MCH (Mailbox Configuration Register High)  *
 ***********************************************/
#define	MC15		0x80
#define	MC14		0x40
#define	MC13		0x20
#define	MC12		0x10
#define	MC11		0x08
#define	MC10		0x04
#define	MC9		0x02
#define	MC8		0x01

/*******************************************
 *   MDL (Mailbox Direction Register Low)  *
 ******************************************/
#define	MD7		0x80
#define	MD6		0x40
#define	MD5		0x20
#define	MD4		0x10
#define	MD3		0x08
#define	MD2		0x04
#define	MD1		0x02
#define	MD0		0x01

/********************************************
 *   MDH (Mailbox Direction Register High)  *
 *******************************************/
#define	MD15		0x80
#define	MD14		0x40
#define	MD13		0x20
#define	MD12		0x10
#define	MD11		0x08
#define	MD10		0x04
#define	MD9		0x02
#define	MD8		0x01

/***************************************************
 *   TRSL (Transmission Request Set Register Low)  *
 **************************************************/
#define	TRS7		0x80
#define	TRS6		0x40
#define	TRS5		0x20
#define	TRS4		0x10
#define	TRS3		0x08
#define	TRS2		0x04
#define	TRS1		0x02
#define	TRS0		0x01

/***************************************************
 *   TRSH (Transmission Request Set Register High) *
 **************************************************/
#define	TRS14		0x40
#define	TRS13		0x20
#define	TRS12		0x10
#define	TRS11		0x08
#define	TRS10		0x04
#define	TRS9		0x02
#define	TRS8		0x01

/*****************************************************
 *   TRRL (Transmission Request Reset Register Low)  *
 ****************************************************/
#define	TRR7		0x80
#define	TRR6		0x40
#define	TRR5		0x20
#define	TRR4		0x10
#define	TRR3		0x08
#define	TRR2		0x04
#define	TRR1		0x02
#define	TRR0		0x01

/*****************************************************
 *   TRRH (Transmission Request Reset Register High) *
 ****************************************************/
#define	TRR14		0x40
#define	TRR13		0x20
#define	TRR12		0x10
#define	TRR11		0x08
#define	TRR10		0x04
#define	TRR9		0x02
#define	TRR8		0x01

/**************************************************
 *   TAL (Transmission Acknowledge Register Low)  *
 *************************************************/
#define	TA7		0x80
#define	TA6		0x40
#define	TA5		0x20
#define	TA4		0x10
#define	TA3		0x08
#define	TA2		0x04
#define	TA1		0x02
#define	TA0		0x01

/**************************************************
 *   TAH (Transmission Acknowledge Register High) *
 *************************************************/
#define	TA14		0x40
#define	TA13		0x20
#define	TA12		0x10
#define	TA11		0x08
#define	TA10		0x04
#define	TA9		0x02
#define	TA8		0x01

/*******************************************
 *   AAL (Abort Acknowledge Register Low)  *
 ******************************************/
#define	AA7		0x80
#define	AA6		0x40
#define	AA5		0x20
#define	AA4		0x10
#define	AA3		0x08
#define	AA2		0x04
#define	AA1		0x02
#define	AA0		0x01

/*******************************************
 *   AAH (Abort Acknowledge Register High) *
 ******************************************/
#define	AA14		0x40
#define	AA13		0x20
#define	AA12		0x10
#define	AA11		0x08
#define	AA10		0x04
#define	AA9		0x02
#define	AA8		0x01

/**************************************************
 *   RMPL (Receive Message Pending Register Low)  *
 *************************************************/
#define	RMP7		0x80
#define	RMP6		0x40
#define	RMP5		0x20
#define	RMP4		0x10
#define	RMP3		0x08
#define	RMP2		0x04
#define	RMP1		0x02
#define	RMP0		0x01

/***************************************************
 *   RMPH (Receive Message Pending Register High)  *
 **************************************************/
#define	RMP15		0x80
#define	RMP14		0x40
#define	RMP13		0x20
#define	RMP12		0x10
#define	RMP11		0x08
#define	RMP10		0x04
#define	RMP9		0x02
#define	RMP8		0x01

/***********************************************
 *   RMLL (Receive Message Lost Register Low)  *
 **********************************************/
#define	RML7		0x80
#define	RML6		0x40
#define	RML5		0x20
#define	RML4		0x10
#define	RML3		0x08
#define	RML2		0x04
#define	RML1		0x02
#define	RML0		0x01

/************************************************
 *   RMLH (Receive Message Lost Register High)  *
 ***********************************************/
#define	RML15		0x80
#define	RML14		0x40
#define	RML13		0x20
#define	RML12		0x10
#define	RML11		0x08
#define	RML10		0x04
#define	RML9		0x02
#define	RML8		0x01

/************************************************
 *   LAM0L (Local Acceptance Mask Register 0L)  *
 ***********************************************/
#define	LAM23		0x80
#define	LAM22		0x40
#define	LAM21		0x20
#define	LAM20		0x10
#define	LAM19		0x08
#define	LAM18		0x04
#define	LAM17		0x02
#define	LAM16		0x01

/************************************************
 *   LAM0H (Local Acceptance Mask Register 0H)  *
 ***********************************************/
#define	LAMI		0x80
#define	LAM28		0x10
#define	LAM27		0x08
#define	LAM26		0x04
#define	LAM25		0x02
#define	LAM24		0x01

/************************************************
 *   LAM1L (Local Acceptance Mask Register 1L)  *
 ***********************************************/
#define	LAM7		0x80
#define	LAM6		0x40
#define	LAM5		0x20
#define	LAM4		0x10
#define	LAM3		0x08
#define	LAM2		0x04
#define	LAM1		0x02
#define	LAM0		0x01

/************************************************
 *   LAM1H (Local Acceptance Mask Register 1H)  *
 ***********************************************/
#define	LAM15		0x80
#define	LAM14		0x40
#define	LAM13		0x20
#define	LAM12		0x10
#define	LAM11		0x08
#define	LAM10		0x04
#define	LAM9		0x02
#define	LAM8		0x01

/*************************************************
 *   GAM0L (Global Acceptance Mask Register 0L)  *
 ************************************************/
#define	GAM23		0x80
#define	GAM22		0x40
#define	GAM21		0x20
#define	GAM20		0x10
#define	GAM19		0x08
#define	GAM18		0x04
#define	GAM17		0x02
#define	GAM16		0x01

/*************************************************
 *   GAM0H (Global Acceptance Mask Register 0H)  *
 ************************************************/
#define	GAMI		0x80
#define	GAM28		0x10
#define	GAM27		0x08
#define	GAM26		0x04
#define	GAM25		0x02
#define	GAM24		0x01

/*************************************************
 *   GAM1L (Global Acceptance Mask Register 1L)  *
 ************************************************/
#define	GAM7		0x80
#define	GAM6		0x40
#define	GAM5		0x20
#define	GAM4		0x10
#define	GAM3		0x08
#define	GAM2		0x04
#define	GAM1		0x02
#define	GAM0		0x01

/*************************************************
 *   GAM1H (Global Acceptance Mask Register 1H)  *
 ************************************************/
#define	GAM15		0x80
#define	GAM14		0x40
#define	GAM13		0x20
#define	GAM12		0x10
#define	GAM11		0x08
#define	GAM10		0x04
#define	GAM9		0x02
#define	GAM8		0x01

/*****************************************
 *   MCRL (Master Control Register Low)  *
 ****************************************/
#define	CCR		0x80
#define	SMR		0x40
#define	HMR		0x20
#define	WUBA		0x10
#define	MTOS		0x08
#define	TSCC		0x02
#define	SRES		0x01

/*****************************************
 *   MCRH (Master Control Register High) *
 ****************************************/
#define	TSTLB		0x02
#define	TSTERR		0x01

/****************************************
 *   GSRL (Global Status Register Low)  *
 ***************************************/
#define	CCE		0x80
#define	SMA		0x40
#define	HMA		0x20
#define	TS0		0x08
#define	B0		0x04
#define	EP		0x02
#define	EW		0x01

/****************************************
 *   GSRH (Global Status Register High) *
 ***************************************/
#define	MSGINSLOT	0xf0
#define	RM		0x08
#define	TM		0x04

/********************************************
 *   BCR1L (Bit Configuration Register 1L)  *
 *******************************************/
#define	BRP7		0x80
#define	BRP6		0x40
#define	BRP5		0x20
#define	BRP4		0x10
#define	BRP3		0x08
#define	BRP2		0x04
#define	BRP1		0x02
#define	BRP0		0x01

/********************************************
 *   BCR1H (Bit Configuration Register 1H)  *
 *******************************************/

/********************************************
 *   BCR2L (Bit Configuration Register 2L)  *
 *******************************************/
#define	SAM		0x80
#define	TSEG22		0x40
#define	TSEG21		0x20
#define	TSEG20		0x10
#define	TSEG13		0x08
#define	TSEG12		0x04
#define	TSEG11		0x02
#define	TSEG10		0x01

/********************************************
 *   BCR2H (Bit Configuration Register 2H)  *
 *******************************************/
#define	SJW1		0x02
#define	SJW0		0x01

/***************************************
 *   GIFL (Global Interrupt Flag Low)  *
 **************************************/
#define	RFPF		0x80
#define	WUIF		0x40
#define	RMLIF		0x20
#define	TRMABF		0x10
#define	TSOIF		0x08
#define	BOIF		0x04
#define	EPIF		0x02
#define	WLIF		0x01

/***************************************
 *   GIFH (Global Interrupt Flag High) *
 **************************************/

/****************************************
 *   GIML (Global Interrupt Mask Low)   *
 ***************************************/
#define	RFPM		0x80
#define	WUIM		0x40
#define	RMLIM		0x20
#define	TRMABM		0x10
#define	TSOIM		0x08
#define	BOIM		0x04
#define	EPIM		0x02
#define	WLIM		0x01

/****************************************
 *   GIMH (Global Interrupt Mask High)  *
 ***************************************/

/*********************************************
 * MBTIFL (Mailbox Transmit Int. Flag Low)   *
 ********************************************/
#define	MBTIF7		0x80
#define	MBTIF6		0x40
#define	MBTIF5		0x20
#define	MBTIF4		0x10
#define	MBTIF3		0x08
#define	MBTIF2		0x04
#define	MBTIF1		0x02
#define	MBTIF0		0x01

/*********************************************
 * MBTIFH (Mailbox Transmit Int. Flag High)  *
 ********************************************/
#define	MBTIF14		0x40
#define	MBTIF13		0x20
#define	MBTIF12		0x10
#define	MBTIF11		0x08
#define	MBTIF10		0x04
#define	MBTIF9		0x02
#define	MBTIF8		0x01

/**********************************************
 *   MBRIFL (Mailbox Receive Int. Flag Low)   *
 *********************************************/
#define	MBRIF7		0x80
#define	MBRIF6		0x40
#define	MBRIF5		0x20
#define	MBRIF4		0x10
#define	MBRIF3		0x08
#define	MBRIF2		0x04
#define	MBRIF1		0x02
#define	MBRIF0		0x01

/**********************************************
 *   MBRIFH (Mailbox Receive Int. Flag High)  *
 *********************************************/
#define	MBRIF15		0x80
#define	MBRIF14		0x40
#define	MBRIF13		0x20
#define	MBRIF12		0x10
#define	MBRIF11		0x08
#define	MBRIF10		0x04
#define	MBRIF9		0x02
#define	MBRIF8		0x01

/******************************************
 *   MBIML (Mailbox Interrupt Flag Low)   *
 *****************************************/
#define	MBIM7		0x80
#define	MBIM6		0x40
#define	MBIM5		0x20
#define	MBIM4		0x10
#define	MBIM3		0x08
#define	MBIM2		0x04
#define	MBIM1		0x02
#define	MBIM0		0x01

/******************************************
 *   MBIMH (Mailbox Interrupt Flag High)  *
 *****************************************/
#define	MBIM15		0x80
#define	MBIM14		0x40
#define	MBIM13		0x20
#define	MBIM12		0x10
#define	MBIM11		0x08
#define	MBIM10		0x04
#define	MBIM9		0x02
#define	MBIM8		0x01

/***********************************************
 *   CDRL (Change Data Request Register Low)   *
 **********************************************/
#define	CDR7		0x80
#define	CDR6		0x40
#define	CDR5		0x20
#define	CDR4		0x10
#define	CDR3		0x08
#define	CDR2		0x04
#define	CDR1		0x02
#define	CDR0		0x01

/***********************************************
 *   CDRH (Change Data Request Register High)  *
 **********************************************/
#define	CDR14		0x40
#define	CDR13		0x20
#define	CDR12		0x10
#define	CDR11		0x08
#define	CDR10		0x04
#define	CDR9		0x02
#define	CDR8		0x01

/************************************************
 *   RFPL (Remote Frame Pending Register Low)   *
 ***********************************************/
#define	RFP7		0x80
#define	RFP6		0x40
#define	RFP5		0x20
#define	RFP4		0x10
#define	RFP3		0x08
#define	RFP2		0x04
#define	RFP1		0x02
#define	RFP0		0x01

/************************************************
 *   RFPH (Remote Frame Pending Register High)  *
 ***********************************************/
#define	RFP15		0x80
#define	RFP14		0x40
#define	RFP13		0x20
#define	RFP12		0x10
#define	RFP11		0x08
#define	RFP10		0x04
#define	RFP9		0x02
#define	RFP8		0x01

/************************************
 *   CECL (CAN Error Counter Low)   *
 ***********************************/
#define	REC7		0x80
#define	REC6		0x40
#define	REC5		0x20
#define	REC4		0x10
#define	REC3		0x08
#define	REC2		0x04
#define	REC1		0x02
#define	REC0		0x01

/************************************
 *   CECH (CAN Error Counter High)  *
 ***********************************/
#define	TEC7		0x80
#define	TEC6		0x40
#define	TEC5		0x20
#define	TEC4		0x10
#define	TEC3		0x08
#define	TEC2		0x04
#define	TEC1		0x02
#define	TEC0		0x01

/***************************************
 *   TSPL (Time Stamp Prescaler Low)   *
 **************************************/
#define	TSP3		0x08
#define	TSP2		0x04
#define	TSP1		0x02
#define	TSP0		0x01

/***************************************
 *   TSPH (Time Stamp Prescaler High)  *
 **************************************/

/*************************************
 *   TSPL (Time Stamp Counter Low)   *
 ************************************/
#define	TSC7		0x80
#define	TSC6		0x40
#define	TSC5		0x20
#define	TSC4		0x10
#define	TSC3		0x08
#define	TSC2		0x04
#define	TSC1		0x02
#define	TSC0		0x01

/*************************************
 *   TSPH (Time Stamp Counter High)  *
 ************************************/
#define	TSC15		0x80
#define	TSC14		0x40
#define	TSC13		0x20
#define	TSC12		0x10
#define	TSC11		0x08
#define	TSC10		0x04
#define	TSC9		0x02
#define	TSC8		0x01

/*-eof-*/
