/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
 *	[File name]	{CSC.H}					*
 *	[Subject]	{Mask pattern for CS/WAIT}		*
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/
 *	[File name]	{CSC.H}					*
 *	[Subject]	{Mask pattern for CS/WAIT}		*
/*********************************************
 *    BCSL (block CS/WAIT control reg.L)     *
 ********************************************/
#define BWW2		0x40	/*---wait---*/
#define BWW1		0x20	/*---wait---*/
#define BWW0		0x10	/*---wait---*/
#define BWW		0x70	/* ---wait---
					001:0 wait
					010:1 wait
					011:N waits
					101:2 waits
					110:3 waits
					others:(Reserved)		*/

#define BWR2		0x04	/*---wait---*/
#define BWR1		0x02	/*---wait---*/
#define BWR0		0x01	/*---wait---*/
#define BWR		0x07	/*---wait---
					001:0 wait
					010:1 wait
					011:N waits
					101:2 waits
					110:3 waits
					others:(Reserved)		*/
/*******************************************
 *    BCSH (block CS/WAIT control reg.H)   *
 *******************************************/
#define	BE		0x80	/* CS select		1: enable	0:disable	*/
#define	BM		0x40
#define	BOM1		0x08	
#define	BOM0		0x04
#define BOM		0x0c	/*	00:SRAM/ROM
					others:(Reserved)	*/
#define	BBUS1		0x02	/* ---Bus---*/
#define	BBUS0		0x01	/* ---Bus---
#define BBUS		0x03		00: 8 bit
					01:16 bit
					10:32 bit
					11:(Reserved)		*/

/***********************************************
 *    MAMR (Memory Start Address Mask reg.)    *
 **********************************************/
#define	MV22		0x80	/* Compare	0:enable	1:disable	*/
#define	MV21		0x40	/* Compare	0:enable	1:disable	*/
#define	MV20		0x20	/* Compare	0:enable	1:disable	*/
#define	MV19		0x10	/* Compare	0:enable	1:disable	*/
#define	MV18		0x08	/* Compare	0:enable	1:disable	*/
#define	MV17		0x04	/* Compare	0:enable	1:disable	*/
#define	MV16		0x02	/* Compare	0:enable	1:disable	*/
#define	MV15		0x01	/* Compare	0:enable	1:disable	*/

/*******************************************
 *    MSAR (Memory Start Address reg.)     *
 ******************************************/
#define	MS23		0x80	/* Set Address A23	*/
#define	MS22		0x40	/* Set Address A22	*/
#define	MS21		0x20	/* Set Address A21	*/
#define	MS20		0x10	/* Set Address A20	*/
#define	MS19		0x08	/* Set Address A19	*/
#define	MS18		0x04	/* Set Address A18	*/
#define	MS17		0x02	/* Set Address A17	*/
#define	MS16		0x01	/* Set Address A16	*/

/**************************************
 *   RAMCR (RAM WRITE Control Reg.)   *
 *************************************/
#define	RAMSTB		0x80
#define	RAMWI		0x40

/**************************************
 *   RAMCR (RAM WRITE Control Reg.)   *
 *************************************/
#define	R_BSY		0x04
#define	FSE		0x01

/* end */
