/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
 *	[File name]	{HDMA.H}				*
 *	[Subject]	{Macro names for HDMA control}		*
**	[For]		{TMP94FD54}				**
**  Copyright(C) 1997 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/
#include <vec.h>

/*****************************
   <<<	Channel Number	>>>
 *****************************/
#define	CH0		0	/* channel 0 */
#define	CH1		1	/* channel 1 */
#define	CH2		2	/* channel 2 */
#define	CH3		3	/* channel 3 */
#define	CH4		4	/* channel 4 */
#define	CH5		5	/* channel 5 */
#define	CH6		6	/* channel 6 */
#define	CH7		7	/* channel 7 */

/*****************************
   <<<	Transfer Mode	>>>
 *****************************/
#define	M_DINC1		000	/* in Byte  : Destination ++,	(I/O -> mem) */
#define	M_DINC2		001	/* in Word  : Destination ++,	(I/O -> mem) */
#define	M_DINC4		002	/* in D.Word: Destination ++,	(I/O -> mem) */
#define	M_DDEC1		004	/* in Byte  : Destination --,	(I/O -> mem) */
#define	M_DDEC2		005	/* in Word  : Destination --,	(I/O -> mem) */
#define	M_DDEC4		006	/* in D.Word: Destination --,	(I/O -> mem) */
#define	M_SINC1		010	/* in Byte  : Source ++,	(mem -> I/O) */
#define	M_SINC2		011	/* in Word  : Source ++,	(mem -> I/O) */
#define	M_SINC4		012	/* in D.Word: Source ++,	(mem -> I/O) */
#define	M_SDEC1		014	/* in Byte  : Source --,	(mem -> I/O) */
#define	M_SDEC2		015	/* in Word  : Source --,	(mem -> I/O) */
#define	M_SDEC4		016	/* in D.Word: Source --,	(mem -> I/O) */
#define	M_FIXRW1	020	/* in Byte  : Fixed both,	(I/O -> I/O) */
#define	M_FIXRW2	021	/* in Word  : Fixed both,	(I/O -> I/O) */
#define	M_FIXRW4	022	/* in D.Word: Fixed both,	(I/O -> I/O) */
#define	M_CNT1		024	/* in Byte  : Counter mode,	(Counting interrupt) */
#define	M_CNT2		025	/* in Word  : Counter mode,	(Counting interrupt) */
#define	M_CNT4		026	/* in D.Word: Counter mode,	(Counting interrupt) */

/*-eof-*/
