/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{INT.H}					**
 *	[Subject]	{Mask pattern for Interrupt}		*
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/
/******************************************
 *   INTE0AD (interrupt enable 0 & A/D)   *
 ******************************************/
#define	IADC		0x80
#define	IADM2		0x40
#define	IADM1		0x20
#define	IADM0		0x10
#define	IADM		0x70
#define	I0C		0x08
#define	I0M2		0x04
#define	I0M1		0x02
#define	I0M0		0x01
#define	I0M		0x07

/*************************************
 *   INTE12 (interrupt enable 1/2)   *
 *************************************/
#define	I2C		0x80
#define	I2M2		0x40
#define	I2M1		0x20
#define	I2M0		0x10
#define	I2M		0x70
#define	I1C		0x08
#define	I1M2		0x04
#define	I1M1		0x02
#define	I1M0		0x01
#define	I1M		0x07

/*************************************
 *   INTE34 (interrupt enable 3/4)   *
 *************************************/
#define	I4C		0x80
#define	I4M2		0x40
#define	I4M1		0x20
#define	I4M0		0x10
#define	I4M		0x70
#define	I3C		0x08
#define	I3M2		0x04
#define	I3M1		0x02
#define	I3M0		0x01
#define	I3M		0x07

/*************************************
 *   INTE56 (interrupt enable 5/6)   *
 *************************************/
#define	I6C		0x80
#define	I6M2		0x40
#define	I6M1		0x20
#define	I6M0		0x10
#define	I6M		0x70
#define	I5C		0x08
#define	I5M2		0x04
#define	I5M1		0x02
#define	I5M0		0x01
#define	I5M		0x07

/*************************************
 *     INTE7 (interrupt enable 7)    *
 *************************************/
#define	I7C		0x08
#define	I7M2		0x04
#define	I7M1		0x02
#define	I7M0		0x01
#define	I7M		0x07

/********************************************
 *   INTET01 (interrupt enable Timer 1/0)   *
 ********************************************/
#define	IT1C		0x80
#define	IT1M2		0x40
#define	IT1M1		0x20
#define	IT1M0		0x10
#define	IT1M		0x70
#define	IT0C		0x08
#define	IT0M2		0x04
#define	IT0M1		0x02
#define	IT0M0		0x01
#define	IT0M		0x07

/********************************************
 *   INTET23 (interrupt enable Timer 3/2)   *
 ********************************************/
#define	IT3C		0x80
#define	IT3M2		0x40
#define	IT3M1		0x20
#define	IT3M0		0x10
#define	IT3M		0x70
#define	IT2C		0x08
#define	IT2M2		0x04
#define	IT2M1		0x02
#define	IT2M0		0x01
#define	IT2M		0x07

/********************************************
 *   INTET45 (interrupt enable timer 5/4)   *
 ********************************************/
#define	IT5C		0x80
#define	IT5M2		0x40
#define	IT5M1		0x20
#define	IT5M0		0x10
#define	IT5M		0x70
#define	IT4C		0x08
#define	IT4M2		0x04
#define	IT4M1		0x02
#define	IT4M0		0x01
#define	IT4M		0x07

/********************************************
 *   INTET67 (interrupt enable timer 7/6)   *
 ********************************************/
#define	IT7C		0x80
#define	IT7M2		0x40
#define	IT7M1		0x20
#define	IT7M0		0x10
#define	IT7M		0x70
#define	IT6C		0x08
#define	IT6M2		0x04
#define	IT6M1		0x02
#define	IT6M0		0x01
#define	IT6M		0x07

/********************************************
 *   INTET89 (interrupt enable timer 8/9)   *
 ********************************************/
#define	IT9C		0x80
#define	IT9M2		0x40
#define	IT9M1		0x20
#define	IT9M0		0x10
#define	IT9M		0x70
#define	IT8C		0x08
#define	IT8M2		0x04
#define	IT8M1		0x02
#define	IT8M0		0x01
#define	IT8M		0x07

/********************************************
 *   INTETAB (interrupt enable timer A/B)   *
 ********************************************/
#define	ITBC		0x80
#define	ITBM2		0x40
#define	ITBM1		0x20
#define	ITBM0		0x10
#define	ITBM		0x70
#define	ITAC		0x08
#define	ITAM2		0x04
#define	ITAM1		0x02
#define	ITAM0		0x01
#define	ITAM		0x07

/*****************************************************
 *   INTETOBA (interrupt overflow enable INTTOB/A)   *
 ****************************************************/
#define	ITOAC		0x80
#define	ITOAM2		0x40
#define	ITOAM1		0x20
#define	ITOAM0		0x10
#define	ITOAM		0x70
#define	ITOBC		0x08
#define	ITOBM2		0x04
#define	ITOBM1		0x02
#define	ITOBM0		0x01
#define	ITOBM		0x07

/*****************************************
 *   INTES0 (interrupt enable serial0)   *
 *****************************************/
#define	ITX0C		0x80
#define	ITX0M2		0x40
#define	ITX0M1		0x20
#define	ITX0M0		0x10
#define	ITX0M		0x70
#define	IRX0C		0x08
#define	IRX0M2		0x04
#define	IRX0M1		0x02
#define	IRX0M0		0x01
#define	IRX0M		0x07

/*****************************************
 *   INTES1 (interrupt enable serial1)   *
 *****************************************/
#define	ITX1C		0x80
#define	ITX1M2		0x40
#define	ITX1M1		0x20
#define	ITX1M0		0x10
#define	ITX1M		0x70
#define	IRX1C		0x08
#define	IRX1M2		0x04
#define	IRX1M1		0x02
#define	IRX1M0		0x01
#define	IRX1M		0x07

/******************************************
 *   INTECRT (interrupt enable INTCR/CT)  *
 ******************************************/
#define	ICTC		0x80
#define	ICTM2		0x40
#define	ICTM1		0x20
#define	ICTM0		0x10
#define	ICTM		0x70
#define	ICRC		0x08
#define	ICRM2		0x04
#define	ICRM1		0x02
#define	ICRM0		0x01
#define	ICRM		0x07

/**************************************
 *   INTECG (interrupt enable INTCG)  *
 *************************************/
#define	ICGC		0x08
#define	ICGM2		0x04
#define	ICGM1		0x02
#define	ICGM0		0x01
#define	ICGM		0x07

/******************************************
 *   INTESEE0 (INTSEM0 & INTSEE0 enable)  *
 *****************************************/
#define	ISEE0C		0x80
#define	ISEE0M2		0x40
#define	ISEE0M1		0x20
#define	ISEE0M0		0x10
#define	ISEE0M		0x70
#define	ISEM0C		0x08
#define	ISEM0M2		0x04
#define	ISEM0M1		0x02
#define	ISEM0M0		0x01
#define	ISEM0M		0x07

/******************************************
 *   INTESED0 (INTSER0 & INTSET0 enable)  *
 *****************************************/
#define	ISET0C		0x80
#define	ISET0M2		0x40
#define	ISET0M1		0x20
#define	ISET0M0		0x10
#define	ISET0M		0x70
#define	ISER0C		0x08
#define	ISER0M2		0x04
#define	ISER0M1		0x02
#define	ISER0M0		0x01
#define	ISER0M		0x07

/******************************************
 *   INTESEE1 (INTSEM1 & INTSEE1 enable)  *
 *****************************************/
#define	ISEE1C		0x80
#define	ISEE1M2		0x40
#define	ISEE1M1		0x20
#define	ISEE1M0		0x10
#define	ISEE1M		0x70
#define	ISEM1C		0x08
#define	ISEM1M2		0x04
#define	ISEM1M1		0x02
#define	ISEM1M0		0x01
#define	ISEM1M		0x07

/******************************************
 *   INTESED1 (INTSER1 & INTSET1 enable)  *
 *****************************************/
#define	ISET1C		0x80
#define	ISET1M2		0x40
#define	ISET1M1		0x20
#define	ISET1M0		0x10
#define	ISET1M		0x70
#define	ISER1C		0x08
#define	ISER1M2		0x04
#define	ISER1M1		0x02
#define	ISER1M0		0x01
#define	ISER1M		0x07

/******************************************
 *   INTESB0 (INTSBE0 & INTSBES0 enable)  *
 *****************************************/
#define	ISBS0C		0x80
#define	ISBS0M2		0x40
#define	ISBS0M1		0x20
#define	ISBS0M0		0x10
#define	ISBS0M		0x70
#define	ISBE0C		0x08
#define	ISBE0M2		0x04
#define	ISBE0M1		0x02
#define	ISBE0M0		0x01
#define	ISBE0M		0x07

/******************************************
 *   INTESB1 (INTSBE1 & INTSBES1 enable)  *
 *****************************************/
#define	ISBS1C		0x80
#define	ISBS1M2		0x40
#define	ISBS1M1		0x20
#define	ISBS1M0		0x10
#define	ISBS1M		0x70
#define	ISBE1C		0x08
#define	ISBE1M2		0x04
#define	ISBE1M1		0x02
#define	ISBE1M0		0x01
#define	ISBE1M		0x07

/******************************************
 *   INTETC01 (interrupt enable TC 0/1)   *
 ******************************************/
#define	ITC1C		0x80
#define	ITC1M2		0x40
#define	ITC1M1		0x20
#define	ITC1M0		0x10
#define	ITC1M		0x70
#define	ITC0C		0x08
#define	ITC0M2		0x04
#define	ITC0M1		0x02
#define	ITC0M0		0x01
#define	ITC0M		0x07

/******************************************
 *   INTETC23 (interrupt enable TC 2/3)   *
 ******************************************/
#define	ITC3C		0x80
#define	ITC3M2		0x40
#define	ITC3M1		0x20
#define	ITC3M0		0x10
#define	ITC3M		0x70
#define	ITC2C		0x08
#define	ITC2M2		0x04
#define	ITC2M1		0x02
#define	ITC2M0		0x01
#define	ITC2M		0x07

/******************************************
 *   INTETC45 (interrupt enable TC 4/5)   *
 ******************************************/
#define	ITC5C		0x80
#define	ITC5M2		0x40
#define	ITC5M1		0x20
#define	ITC5M0		0x10
#define	ITC5M		0x70
#define	ITC4C		0x08
#define	ITC4M2		0x04
#define	ITC4M1		0x02
#define	ITC4M0		0x01
#define	ITC4M		0x07

/******************************************
 *   INTETC67 (interrupt enable TC 6/7)   *
 ******************************************/
#define	ITC7C		0x80
#define	ITC7M2		0x40
#define	ITC7M1		0x20
#define	ITC7M0		0x10
#define	ITC7M		0x70
#define	ITC6C		0x08
#define	ITC6M2		0x04
#define	ITC6M1		0x02
#define	ITC6M0		0x01
#define	ITC6M		0x07

/******************************************
 *   INTNMWDT (interrupt enable NMI/INTWD)   *
 ******************************************/
#define	ITCNM		0x80
#define	ITCWD		0x08

/***********************************
 *   IIMC (interrupt input mode)  *
***********************************/
#define I0LE		0x02
#define NMIREE		0x01

/***********************************
*   INTCLR(interrupt clear control)*
***********************************/

/***********************************
 *   DMA0V (DMA0 request vector)   *
 ***********************************/
#define	DMA0V5		0x20
#define	DMA0V4		0x10
#define	DMA0V3		0x08
#define	DMA0V2		0x04
#define	DMA0V1		0x02
#define	DMA0V0		0x01
#define	DMA0V_		0x3f

/***********************************
 *   DMA1V (DMA1 request vector)   *
 ***********************************/
#define	DMA1V5		0x20
#define	DMA1V4		0x10
#define	DMA1V3		0x08
#define	DMA1V2		0x04
#define	DMA1V1		0x02
#define	DMA1V0		0x01
#define	DMA1V_		0x3f

/***********************************
 *   DMA2V (DMA2 request vector)   *
 ***********************************/
#define	DMA2V5		0x20
#define	DMA2V4		0x10
#define	DMA2V3		0x08
#define	DMA2V2		0x04
#define	DMA2V1		0x02
#define	DMA2V0		0x01
#define	DMA2V_		0x3f

/***********************************
 *   DMA3V (DMA3 request vector)   *
 ***********************************/
#define	DMA3V5		0x20
#define	DMA3V4		0x10
#define	DMA3V3		0x08
#define	DMA3V2		0x04
#define	DMA3V1		0x02
#define	DMA3V0		0x01
#define	DMA3V_		0x3f

/***********************************
 *   DMA4V (DMA4 request vector)   *
 ***********************************/
#define	DMA4V5		0x20
#define	DMA4V4		0x10
#define	DMA4V3		0x08
#define	DMA4V2		0x04
#define	DMA4V1		0x02
#define	DMA4V0		0x01
#define	DMA4V_		0x3f

/***********************************
 *   DMA5V (DMA4 request vector)   *
 ***********************************/
#define	DMA5V5		0x20
#define	DMA5V4		0x10
#define	DMA5V3		0x08
#define	DMA5V2		0x04
#define	DMA5V1		0x02
#define	DMA5V0		0x01
#define	DMA5V_		0x3f

/***********************************
 *   DMA6V (DMA6 request vector)   *
 ***********************************/
#define	DMA6V5		0x20
#define	DMA6V4		0x10
#define	DMA6V3		0x08
#define	DMA6V2		0x04
#define	DMA6V1		0x02
#define	DMA6V0		0x01
#define	DMA6V_		0x3f

/***********************************
 *   DMA7V (DMA7 request vector)   *
 ***********************************/
#define	DMA7V5		0x20
#define	DMA7V4		0x10
#define	DMA7V3		0x08
#define	DMA7V2		0x04
#define	DMA7V1		0x02
#define	DMA7V0		0x01
#define	DMA7V_		0x3f

/************************************
*   DMAB(DMA Burst )                *
************************************/
#define DBST7 		0x80
#define DBST6		0x40
#define DBST5		0x20
#define DBST4		0x10
#define DBST3		0x08
#define DBST2		0x04
#define DBST1		0x02
#define DBST0		0x01
#define DBST		0xff

/************************************
*   DMAR(DMA Request )              *
************************************/
#define DREQ7		0x80
#define DREQ6		0x40
#define DREQ5		0x20
#define DREQ4		0x10
#define DREQ3		0x08
#define DREQ2		0x04
#define DREQ1		0x02
#define DREQ0		0x01
#define DREQ		0xff

/* end */
