/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{IO900H2.H}				**
**	[Subject]	{Special Function Registers}		**
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

/***[0x00]************************************************************/
extern unsigned char	__io(0x00)	P0; 	/* 0x00: Port0 */
extern unsigned char	__io(0x02)	P0CR;	/* 0x02: Port0 control */
extern unsigned char	__io(0x03)	P0FC;	/* 0x03: Port0 function */

/***[0x10]*****************************************************************/
extern unsigned char	__io(0x10)	P4;	/* 0x10: Port4 */
extern unsigned char	__io(0x12)	P4CR;	/* 0x12: Port4 control */
extern unsigned char	__io(0x13)	P4FC;	/* 0x13: Port4 function */
extern unsigned char	__io(0x1c)	P7;	/* 0x1c: Port7 */
extern unsigned char	__io(0x1e)	P7CR;	/* 0x1e: Port7 control */
extern unsigned char	__io(0x1f)	P7FC;	/* 0x1f: Port7 function */

/***[0x30]*****************************************************************/
extern unsigned char	__io(0x30)	PC;	/* 0x30: PortC */
extern unsigned char	__io(0x32)	PCCR;	/* 0x32: PortC control */
extern unsigned char	__io(0x33)	PCFC;	/* 0x33: PortC function */
extern unsigned char	__io(0x34)	PD;	/* 0x34: PortD */
extern unsigned char	__io(0x36)	PDCR;	/* 0x36: PortD control */
extern unsigned char	__io(0x37)	PDFC;	/* 0x37: PortD function */
extern unsigned char	__io(0x3c)	PF;	/* 0x3c: PortF */
extern unsigned char	__io(0x3e)	PFCR;	/* 0x3e: PortF control */
extern unsigned char	__io(0x3f)	PFFC;	/* 0x3f: PortF function */
                                             
/***[0x40]*****************************************************************/
extern unsigned char	__io(0x40)	PG;	/* 0x40: PortG */

/***[0x50]*****************************************************************/
extern unsigned char	__io(0x54)	PL;	/* 0x54: PortL */
extern unsigned char	__io(0x58)	PM;	/* 0x58: PortM */
extern unsigned char	__io(0x59)	PMODE;	/* 0x59: PortM open drain enable */
extern unsigned char	__io(0x5a)	PMCR;	/* 0x5a: PortM control */
extern unsigned char	__io(0x5b)	PMFC;	/* 0x5b: PortM function */
extern unsigned char	__io(0x5c)	PN;	/* 0x5c: PortN */
extern unsigned char	__io(0x5d)	PNODE;	/* 0x5d: PortN open drain enable */
extern unsigned char	__io(0x5e)	PNCR;	/* 0x5e: PortN control */
extern unsigned char	__io(0x5f)	PNFC;	/* 0x5f: PortN function */

/***[0x60]*****************************************************************/
extern unsigned char	__io(0x60)	SECR0;	/* 0x60: SE1 control register 0 */
extern unsigned char	__io(0x61)	SESR0;	/* 0x61: SE1 status register 0 */
extern unsigned char	__io(0x62)	SEDR0;	/* 0x62: SE1 data register 0 */
extern unsigned char	__io(0x64)	SECR1;	/* 0x64: SE1 control register 1 */
extern unsigned char	__io(0x65)	SESR1;	/* 0x65: SE1 status register 1 */
extern unsigned char	__io(0x66)	SEDR1;	/* 0x66: SE1 data register 1 */
                   
/***[0x80]*****************************************************************/
extern unsigned char	__io(0x80)	TRUN01;	/* 0x80: 8bit timer 0,1 run */
extern unsigned char	__io(0x82)	TREG0;	/* 0x82: 8bit timer register 0 */
extern unsigned char	__io(0x83)	TREG1;	/* 0x83: 8bit timer register 1 */
extern unsigned char	__io(0x84)	TMOD01;	/* 0x84: Timer 0,1 mode control */
extern unsigned char	__io(0x85)	TFFCR1;	/* 0x85: Timer 1 F/F control */
extern unsigned char	__io(0x88)	TRUN23;	/* 0x88: 8bit timer 2,3 run */
extern unsigned char	__io(0x8a)	TREG2;	/* 0x8a: 8bit timer register 2 */
extern unsigned char	__io(0x8b)	TREG3;	/* 0x8b: 8bit timer register 3 */
extern unsigned char	__io(0x8c)	TMOD23;	/* 0x8c: Timer 2,3 mode control */
extern unsigned char	__io(0x8d)	TFFCR3;	/* 0x8d: Timer 3 F/F control */

/***[0x90]*****************************************************************/
extern unsigned char	__io(0x90)	TRUN45;	/* 0x90: 8bit timer 4,5 run */
extern unsigned char	__io(0x92)	TREG4;	/* 0x92: 8bit timer register 4 */
extern unsigned char	__io(0x93)	TREG5;	/* 0x93: 8bit timer register 5 */
extern unsigned char	__io(0x94)	TMOD45;	/* 0x94: Timer 4,5 mode control */
extern unsigned char	__io(0x95)	TFFCR5;	/* 0x95: Timer 5 F/F control */
extern unsigned char	__io(0x98)	TRUN67;	/* 0x98: 8bit timer 6,7 run */
extern unsigned char	__io(0x9a)	TREG6;	/* 0x99: 8bit timer register 6 */
extern unsigned char	__io(0x9b)	TREG7;	/* 0x9a: 8bit timer register 7 */
extern unsigned char	__io(0x9c)	TMOD67;	/* 0x9c: Timer 6,7 mode control */
extern unsigned char	__io(0x9d)	TFFCR7;	/* 0x9d: Timer 7 F/F control */

/***[0xa0]*****************************************************************/
extern unsigned char	__io(0xa0)	TRUN8;	/* 0xa0: 16bit timer 8 run */
extern unsigned char	__io(0xa2)	TMOD8;	/* 0xa2: Timer 8 mode control */
extern unsigned char	__io(0xa3)	TFFCR8;	/* 0xa3: Timer 8 F/F control */
extern unsigned int	__io(0xa8)	TREG8;	/* 0xa8: 16bit timer register 8 */
/*extern unsigned char	__io(0xa8)	TREG8L;	   0xa8: 16bit timer register 8[low]  */
/*extern unsigned char	__io(0xa9)	TREG8H;	   0xa9: 16nit timer register 8[high] */
extern unsigned int	__io(0xaa)	TREG9;	/* 0xaa: 16bit timer register 9 */
/*extern unsigned char	__io(0xaa)	TREG9L;	   0xaa: 16bit timer register 9[low]  */
/*extern unsigned char	__io(0xab)	TREG9H;	   0xab: 16nit timer register 9[high] */
extern unsigned int	__io(0xac)	CAP8;	/* 0xac: Capture register 8 */
/*extern unsigned char	__io(0xac)	CAP8L;	   0xac: Capture register 8[low]  */
/*extern unsigned char	__io(0xad)	CAP8H;	   0xad: Capture register 8[high] */
extern unsigned int	__io(0xae)	CAP9;	/* 0xae: Capture register 9 */
/*extern unsigned char	__io(0xae)	CAP9L;	   0xae: Capture register 9[low]  */
/*extern unsigned char	__io(0xaf)	CAP9H;	   0xaf: Capture register 9[high] */

/***[0xb0]****************************************************************/
extern unsigned char	__io(0xb0)	TRUNA;	/* 0xb0: 16bit timer A run */
extern unsigned char	__io(0xb2)	TMODA;	/* 0xb2: Timer A mode control */
extern unsigned char	__io(0xb3)	TFFCRA;	/* 0xb3: Timer A F/F control */
extern unsigned int	__io(0xb8)	TREGA;	/* 0xb8: 16bit timer register A */
/*extern unsigned char	__io(0xb8)	TREGAL;	   0xc0: 16bit timer register A[low]  */
/*extern unsigned char	__io(0xb9)	TREGAH;	   0xc1: 16bit timer register A[high] */
extern unsigned int	__io(0xba)	TREGB;	/* 0xba: 16bit timer register B */
/*extern unsigned char	__io(0xba)	TREGBL;	   0xba: 16bit timer register B[low]  */
/*extern unsigned char	__io(0xbb)	TREGBH;	   0xbb: 16bit timer register B[high] */
extern unsigned int	__io(0xbc)	CAPA;	/* 0xbc: Capture register A */
/*extern unsigned char	__io(0xbc)	CAPAL;	   0xbc: Capture register A[low]  */
/*extern unsigned char	__io(0xbd)	CAPAH;	   0xbd: Capture register A[high] */
extern unsigned int	__io(0xbe)	CAPB;	/* 0xbe: Capture register B */
/*extern unsigned char	__io(0xbe)	CAPBL;	   0xbe: Capture register B[low]  */
/*extern unsigned char	__io(0xbf)	CAPBH;	   0xbf: Capture register B[high] */

/***[0xc0]****************************************************************/
extern unsigned char	__io(0xc0)	SC0BUF;	/* 0xc0: Serial channel0 buffer*/
extern unsigned char	__io(0xc1)	SC0CR;	/* 0xc1: Serial channel0 control */
extern unsigned char	__io(0xc2)	SC0MOD0;	/* 0xc2: Serial channel0 mode0 */
extern unsigned char	__io(0xc3)	BR0CR;	/* 0xc3: Serial channel0 baud rate */
extern unsigned char	__io(0xc4)	BR0ADD;	/* 0xc4: Serial channel0 K setting */
extern unsigned char	__io(0xc5)	SC0MOD1;	/* 0xc5: Serial channel0 mode1 */
extern unsigned char	__io(0xc8)	SC1BUF;	/* 0xc8: Serial channel1 buffer */
extern unsigned char	__io(0xc9)	SC1CR;	/* 0xc9: Serial channel1 control */
extern unsigned char	__io(0xca)	SC1MOD0;	/* 0xca: Serial channel1 mode0 */
extern unsigned char	__io(0xcb)	BR1CR;	/* 0xcb: Serial channel1 baud rate */
extern unsigned char	__io(0xcc)	BR1ADD;	/* 0xcc: Serial channel1 K setting */
extern unsigned char	__io(0xcd)	SC1MOD1;	/* 0xcd: Serial channel1 mode1 */

/***[0xd0]****************************************************************/
extern unsigned char	__io(0xd0)	INTE12; 	/* 0xd0: Interrupt enable 0 & A/D */
extern unsigned char	__io(0xd1)	INTE34; 	/* 0xd1: Interrupt enable 0 & A/D */
extern unsigned char	__io(0xd2)	INTE56; 	/* 0xd2: Interrupt enable 0 & A/D */
extern unsigned char	__io(0xd3)	INTE7; 	/* 0xd3: Interrupt enable 0 & A/D */
extern unsigned char	__io(0xd4)	INTET01; 	/* 0xd4: Interrupt enable timer 1/0 */
extern unsigned char	__io(0xd5)	INTET23; 	/* 0xd5: Interrupt enable timer 3/2 */
extern unsigned char	__io(0xd6)	INTET45; 	/* 0xd6: Interrupt enable timer 5/4 */
extern unsigned char	__io(0xd7)	INTET67; 	/* 0xd7: Interrupt enable timer 7/6 */
extern unsigned char	__io(0xd8)	INTET89; 	/* 0xd8: Interrupt enable timer R8/R9 */
extern unsigned char	__io(0xd9)	INTETAB; 	/* 0xd9: Interrupt enable timer RB/RA */
extern unsigned char	__io(0xda)	INTETO8A; 	/* 0xda: Interrupt enable timer O8/OA */
extern unsigned char	__io(0xdb)	INTES0;	 	/* 0xdb: Interrupt enable serial 0 */
extern unsigned char	__io(0xdc)	INTES1;	 	/* 0xdc: Interrupt enable serial 1 */
extern unsigned char	__io(0xdd)	INTECRT;	 	/* 0xdd: Interrupt enable CAN */
extern unsigned char	__io(0xde)	INTECG;	 	/* 0xde: Interrupt enable CAN global */
extern unsigned char	__io(0xdf)	INTESEE0;	 	/* 0xdf: Interrupt enable SEMO & SEE1 */

/***[0xe0]****************************************************************/
extern unsigned char	__io(0xe0)	INTESED0; 	/* 0xe0: Interrupt enable SER0 & SET0 */
extern unsigned char	__io(0xe1)	INTESEE1; 	/* 0xe1: Interrupt enable SEM1 & SEE1 */
extern unsigned char	__io(0xe2)	INTESED1; 	/* 0xe2: Interrupt enable SER1 & SET1 */
extern unsigned char	__io(0xe3)	INTESB0; 	/* 0xe3: Interrupt enable SBE0 & SBS0 */
extern unsigned char	__io(0xe4)	INTESB1; 	/* 0xe4: Interrupt enable SBE1 & SBS1 */

/***[0xf0]****************************************************************/
extern unsigned char	__io(0xf0)	INTE0AD; 	/* 0xf0: Interrupt enable 0 & A/D */
extern unsigned char	__io(0xf1)	INTETC01; 	/* 0xf1: Interrupt enable TC 0/1 */
extern unsigned char	__io(0xf2)	INTETC23; 	/* 0xf2: Interrupt enable TC 2/3 */
extern unsigned char	__io(0xf3)	INTETC45; 	/* 0xf3: Interrupt enable TC 4/5 */
extern unsigned char	__io(0xf4)	INTETC67; 	/* 0xf4: Interrupt enable TC 6/7 */
extern unsigned char	__io(0xf6)	IIMC;	 	/* 0xf6: INT input mode control */
extern unsigned char	__io(0xf7)	INTNMWDT; 	/* 0xf7: NMI & INTWD Enable */
extern unsigned char	__io(0xf8)	INTCLR;	 	/* 0xf8: Interrupt clear control */

/***[0x100]****************************************************************/
extern unsigned char	__io(0x100)	DMA0V;		/* 0x100: DMA0 request vector */
extern unsigned char	__io(0x101)	DMA1V;		/* 0x101: DMA1 request vector */
extern unsigned char	__io(0x102)	DMA2V;		/* 0x102: DMA2 request vector */
extern unsigned char	__io(0x103)	DMA3V;		/* 0x103: DMA3 request vector */
extern unsigned char	__io(0x104)	DMA4V;		/* 0x104: DMA4 request vector */
extern unsigned char	__io(0x105)	DMA5V;		/* 0x105: DMA5 request vector */
extern unsigned char	__io(0x106)	DMA6V;		/* 0x106: DMA6 request vector */
extern unsigned char	__io(0x107)	DMA7V;		/* 0x107: DMA7 request vector */
extern unsigned char	__io(0x108)	DMAB;		/* 0x108: DMA burst */
extern unsigned char	__io(0x109)	DMAR;		/* 0x109: DMA request */
extern unsigned char	__io(0x10a)	CLKMOD;		/* 0x10a: Clock mode */

/***[0x110]****************************************************************/
extern unsigned char	__io(0x110)	WDMOD;		/* 0x110: Watch dog mode register */
extern unsigned char	__io(0x111)	WDCR;		/* 0x111: Watch dog control */

/***[0x120]****************************************************************/
extern unsigned int	__io(0x120)	ADREG0;	/* 0x120: A/D result register 0 */
/*extern unsigned char	__io(0x120)	ADREG0L;	   0x120: A/D result register 0[low] */
/*extern unsigned char	__io(0x121)	ADREG0H;  	   0x121: A/D result register 0[high] */
extern unsigned int	__io(0x122)	ADREG1;	/* 0x122: A/D result register 1 */
/*extern unsigned char	__io(0x122)	ADREG1L;  	   0x122: A/D result register 1[low] */
/*extern unsigned char	__io(0x123)	ADREG1H;  	   0x123: A/D result register 1[high] */
extern unsigned int	__io(0x124)	ADREG2;	/* 0x124: A/D result register 2 */
/*extern unsigned char	__io(0x124)	ADREG2L;	   0x124: A/D result register 2[low] */
/*extern unsigned char	__io(0x125)	ADREG2H;	   0x125: A/D result register 2[high] */
extern unsigned int	__io(0x126)	ADREG3;	/* 0x126: A/D result register 3 */
/*extern unsigned char	__io(0x126)	ADREG3L;	   0x126: A/D result register 3[low] */
/*extern unsigned char	__io(0x127)	ADREG3H;	   0x127: A/D result register 3[high] */
extern unsigned int	__io(0x128)	ADREG4;	/* 0x128: A/D result register 4 */
/*extern unsigned char	__io(0x128)	ADREG4L;	   0x128: A/D result register 4[low] */
/*extern unsigned char	__io(0x129)	ADREG4H;	   0x129: A/D result register 4[high] */
extern unsigned int	__io(0x12a)	ADREG5;	/* 0x12a: A/D result register 5 */
/*extern unsigned char	__io(0x12a)	ADREG5L;	   0x12a: A/D result register 5[low] */
/*extern unsigned char	__io(0x12b)	ADREG5H;	   0x12b: A/D result register 5[high] */
extern unsigned int	__io(0x12c)	ADREG6;	/* 0x12c: A/D result register 6 */
/*extern unsigned char	__io(0x12c)	ADREG6L;	   0x12c: A/D result register 6[low] */
/*extern unsigned char	__io(0x12d)	ADREG6H;	   0x12d: A/D result register 6[high] */
extern unsigned int	__io(0x12e)	ADREG7;	/* 0x12e: A/D result register 7 */
/*extern unsigned char	__io(0x12e)	ADREG7L;	   0x12e: A/D result register 7[low] */
/*extern unsigned char	__io(0x12f)	ADREG7H;	   0x12f: A/D result register 7[high] */

/***[0x130]**********************************************************/
extern unsigned int	__io(0x130)	ADREG8;	/* 0x130: A/D result register 8 */
/*extern unsigned char	__io(0x130)	ADREG8L;	   0x130: A/D result register 8[low] */
/*extern unsigned char	__io(0x131)	ADREG8H;  	   0x131: A/D result register 8[high] */
extern unsigned int	__io(0x132)	ADREG9;	/* 0x132: A/D result register 9 */
/*extern unsigned char	__io(0x132)	ADREG9L;  	   0x132: A/D result register 9[low] */
/*extern unsigned char	__io(0x133)	ADREG9H;  	   0x133: A/D result register 9[high] */
extern unsigned int	__io(0x134)	ADREGA;	/* 0x134: A/D result register A */
/*extern unsigned char	__io(0x134)	ADREGAL;	   0x134: A/D result register A[low] */
/*extern unsigned char	__io(0x135)	ADREGAH;	   0x135: A/D result register A[high] */
extern unsigned int	__io(0x136)	ADREGB;	/* 0x136: A/D result register B */
/*extern unsigned char	__io(0x136)	ADREGBL;	   0x136: A/D result register B[low] */
/*extern unsigned char	__io(0x137)	ADREGBH;	   0x137: A/D result register B[high] */
extern unsigned char	__io(0x138)	ADMOD0;	/* 0x138: A/D converter mode register 0 */
extern unsigned char	__io(0x139)	ADMOD1;	/* 0x139: A/D converter mode register 1*/

/***[0x140]*****************************************************************/
extern unsigned char	__io(0x148)	BCSL;	/*  0x148: Programable CS control[low]  */
extern unsigned char	__io(0x149)	BCSH;	/*   0x149: Programable CS control[high] */
extern unsigned char	__io(0x14a)	MAMR;	/* 0x14a: Memory start address mask register  */
extern unsigned char	__io(0x14b)	MSAR;	/* 0x14b: Memory start address register  */

/***[0x160]*****************************************************************/
extern unsigned char	__io(0x16d)	RAMCR;	/* 0x16d:  */
extern unsigned char	__io(0x16e)	FLCNT;	/* 0x16e:   */

/***[0x170]*****************************************************************/
extern unsigned char	__io(0x170)	SBI0CR1;	/* 0x170:  */
extern unsigned char	__io(0x171)	SBI0DBR;	/* 0x171:   */
extern unsigned char	__io(0x172)	I2C0AR;	/* 0x172:  */
extern unsigned char	__io(0x173)	SBI0CR2;	/* 0x173: SBI0CR2/SBI0SR */
extern unsigned char	__io(0x174)	SBI0BR0;	/* 0x174:  */
extern unsigned char	__io(0x175)	SBI0BR1;	/* 0x175:  */
extern unsigned char	__io(0x178)	SBI1CR1;	/* 0x178:  */
extern unsigned char	__io(0x179)	SBI1DBR;	/* 0x179:  */
extern unsigned char	__io(0x17a)	I2C1AR;	/* 0x17a:  */
extern unsigned char	__io(0x17b)	SBI1CR2;	/* 0x17b: SBI1CR2/SBI1SR */
extern unsigned char	__io(0x17c)	SBI1BR0;	/* 0x17c:  */
extern unsigned char	__io(0x17d)	SBI1BR1;	/* 0x17d:  */

/***[0x200]*****************************************************************/
extern unsigned int	__io(0x200)	MB0MI0;	/* 0x200:  */
/*extern unsigned char	__io(0x200)	MB0MI0L;	 0x200:  */
/*extern unsigned char	__io(0x201)	MB0MI0H;	 0x201:   */
extern unsigned int	__io(0x202)	MB0MI1;	/* 0x202:  */
/*extern unsigned char	__io(0x202)	MB0MI1L;	 0x202:  */
/*extern unsigned char	__io(0x203)	MB0MI1H;	 0x203:  */
extern unsigned int	__io(0x204)	MB0MCF;	/* 0x204:  */
/*extern unsigned char	__io(0x204)	MB0MCFL;	 0x204:  */
/*extern unsigned char	__io(0x205)	MB0MCFH;	 0x205:  */
extern unsigned char	__io(0x206)	MB0D0;	/* 0x206:  */
extern unsigned char	__io(0x207)	MB0D1;	/* 0x207:  */
extern unsigned char	__io(0x208)	MB0D2;	/* 0x208:  */
extern unsigned char	__io(0x209)	MB0D3;	/* 0x209:  */
extern unsigned char	__io(0x20a)	MB0D4;	/* 0x20a:  */
extern unsigned char	__io(0x20b)	MB0D5;	/* 0x20b:  */
extern unsigned char	__io(0x20c)	MB0D6;	/* 0x20c:  */
extern unsigned char	__io(0x20d)	MB0D7;	/* 0x20d:  */
extern unsigned int	__io(0x20e)	MB0TSV;	/* 0x20e:  */
/*extern unsigned char	__io(0x20e)	MB0TSVL;	 0x20e:  */
/*extern unsigned char	__io(0x20f)	MB0TSVH;	 0x20f:  */

/***[0x210]*****************************************************************/
extern unsigned int	__io(0x210)	MB1MI0;	/* 0x210:  */
/*extern unsigned char	__io(0x210)	MB1MI0L;	 0x210:  */
/*extern unsigned char	__io(0x211)	MB1MI0H;	 0x211:   */
extern unsigned int	__io(0x212)	MB1MI1;	/* 0x212:  */
/*extern unsigned char	__io(0x212)	MB1MI1L;	 0x212:  */
/*extern unsigned char	__io(0x213)	MB1MI1H;	 0x213:  */
extern unsigned int	__io(0x214)	MB1MCF;	/* 0x214:  */
/*extern unsigned char	__io(0x214)	MB1MCFL;	 0x214:  */
/*extern unsigned char	__io(0x215)	MB1MCFH;	 0x215:  */
extern unsigned char	__io(0x216)	MB1D0;	/* 0x216:  */
extern unsigned char	__io(0x217)	MB1D1;	/* 0x217:  */
extern unsigned char	__io(0x218)	MB1D2;	/* 0x218:  */
extern unsigned char	__io(0x219)	MB1D3;	/* 0x219:  */
extern unsigned char	__io(0x21a)	MB1D4;	/* 0x21a:  */
extern unsigned char	__io(0x21b)	MB1D5;	/* 0x21b:  */
extern unsigned char	__io(0x21c)	MB1D6;	/* 0x21c:  */
extern unsigned char	__io(0x21d)	MB1D7;	/* 0x21d:  */
extern unsigned int	__io(0x21e)	MB1TSV;	/* 0x21e:  */
/*extern unsigned char	__io(0x21e)	MB1TSVL;	 0x21e:  */
/*extern unsigned char	__io(0x21f)	MB1TSVH;	 0x21f:  */

/***[0x220]*****************************************************************/
extern unsigned int	__io(0x220)	MB2MI0;	/* 0x220:  */
/*extern unsigned char	__io(0x220)	MB2MI0L;	 0x220:  */
/*extern unsigned char	__io(0x221)	MB2MI0H;	 0x221:   */
extern unsigned int	__io(0x222)	MB2MI1;	/* 0x222:  */
/*extern unsigned char	__io(0x222)	MB2MI1L;	 0x222:  */
/*extern unsigned char	__io(0x223)	MB2MI1H;	 0x223:  */
extern unsigned int	__io(0x224)	MB2MCF;	/* 0x224:  */
/*extern unsigned char	__io(0x224)	MB2MCFL;	 0x224:  */
/*extern unsigned char	__io(0x225)	MB2MCFH;	 0x225:  */
extern unsigned char	__io(0x226)	MB2D0;	/* 0x226:  */
extern unsigned char	__io(0x227)	MB2D1;	/* 0x227:  */
extern unsigned char	__io(0x228)	MB2D2;	/* 0x228:  */
extern unsigned char	__io(0x229)	MB2D3;	/* 0x229:  */
extern unsigned char	__io(0x22a)	MB2D4;	/* 0x22a:  */
extern unsigned char	__io(0x22b)	MB2D5;	/* 0x22b:  */
extern unsigned char	__io(0x22c)	MB2D6;	/* 0x22c:  */
extern unsigned char	__io(0x22d)	MB2D7;	/* 0x22d:  */
extern unsigned int	__io(0x22e)	MB2TSV;	/* 0x22e:  */
/*extern unsigned char	__io(0x22e)	MB2TSVL;	 0x22e:  */
/*extern unsigned char	__io(0x22f)	MB2TSVH;	 0x22f:  */

/***[0x230]*****************************************************************/
extern unsigned int	__io(0x230)	MB3MI0;	/* 0x230:  */
/*extern unsigned char	__io(0x230)	MB3MI0L;	 0x230:  */
/*extern unsigned char	__io(0x231)	MB3MI0H;	 0x231:   */
extern unsigned int	__io(0x232)	MB3MI1;	/* 0x232:  */
/*extern unsigned char	__io(0x232)	MB3MI1L;	 0x232:  */
/*extern unsigned char	__io(0x233)	MB3MI1H;	 0x233:  */
extern unsigned int	__io(0x234)	MB3MCF;	/* 0x234:  */
/*extern unsigned char	__io(0x234)	MB3MCFL;	 0x234:  */
/*extern unsigned char	__io(0x235)	MB3MCFH;	 0x235:  */
extern unsigned char	__io(0x236)	MB3D0;	/* 0x236:  */
extern unsigned char	__io(0x237)	MB3D1;	/* 0x237:  */
extern unsigned char	__io(0x238)	MB3D2;	/* 0x238:  */
extern unsigned char	__io(0x239)	MB3D3;	/* 0x239:  */
extern unsigned char	__io(0x23a)	MB3D4;	/* 0x23a:  */
extern unsigned char	__io(0x23b)	MB3D5;	/* 0x23b:  */
extern unsigned char	__io(0x23c)	MB3D6;	/* 0x23c:  */
extern unsigned char	__io(0x23d)	MB3D7;	/* 0x23d:  */
extern unsigned int	__io(0x23e)	MB3TSV;	/* 0x23e:  */
/*extern unsigned char	__io(0x23e)	MB3TSVL;	 0x23e:  */
/*extern unsigned char	__io(0x23f)	MB3TSVH;	 0x23f:  */

/***[0x240]*****************************************************************/
extern unsigned int	__io(0x240)	MB4MI0;	/* 0x240:  */
/*extern unsigned char	__io(0x240)	MB4MI0L;	 0x240:  */
/*extern unsigned char	__io(0x241)	MB4MI0H;	 0x241:   */
extern unsigned int	__io(0x242)	MB4MI1;	/* 0x242:  */
/*extern unsigned char	__io(0x242)	MB4MI1L;	 0x242:  */
/*extern unsigned char	__io(0x243)	MB4MI1H;	 0x243:  */
extern unsigned int	__io(0x244)	MB4MCF;	/* 0x244:  */
/*extern unsigned char	__io(0x244)	MB4MCFL;	 0x244:  */
/*extern unsigned char	__io(0x245)	MB4MCFH;	 0x245:  */
extern unsigned char	__io(0x246)	MB4D0;	/* 0x246:  */
extern unsigned char	__io(0x247)	MB4D1;	/* 0x247:  */
extern unsigned char	__io(0x248)	MB4D2;	/* 0x248:  */
extern unsigned char	__io(0x249)	MB4D3;	/* 0x249:  */
extern unsigned char	__io(0x24a)	MB4D4;	/* 0x24a:  */
extern unsigned char	__io(0x24b)	MB4D5;	/* 0x24b:  */
extern unsigned char	__io(0x24c)	MB4D6;	/* 0x24c:  */
extern unsigned char	__io(0x24d)	MB4D7;	/* 0x24d:  */
extern unsigned int	__io(0x24e)	MB4TSV;	/* 0x24e:  */
/*extern unsigned char	__io(0x24e)	MB4TSVL;	 0x24e:  */
/*extern unsigned char	__io(0x24f)	MB4TSVH;	 0x24f:  */

/***[0x250]*****************************************************************/
extern unsigned int	__io(0x250)	MB5MI0;	/* 0x250:  */
/*extern unsigned char	__io(0x250)	MB5MI0L;	 0x250:  */
/*extern unsigned char	__io(0x251)	MB5MI0H;	 0x251:   */
extern unsigned int	__io(0x252)	MB5MI1;	/* 0x252:  */
/*extern unsigned char	__io(0x252)	MB5MI1L;	 0x252:  */
/*extern unsigned char	__io(0x253)	MB5MI1H;	 0x253:  */
extern unsigned int	__io(0x254)	MB5MCF;	/* 0x254:  */
/*extern unsigned char	__io(0x254)	MB5MCFL;	 0x254:  */
/*extern unsigned char	__io(0x255)	MB5MCFH;	 0x255:  */
extern unsigned char	__io(0x256)	MB5D0;	/* 0x256:  */
extern unsigned char	__io(0x257)	MB5D1;	/* 0x257:  */
extern unsigned char	__io(0x258)	MB5D2;	/* 0x258:  */
extern unsigned char	__io(0x259)	MB5D3;	/* 0x259:  */
extern unsigned char	__io(0x25a)	MB5D4;	/* 0x25a:  */
extern unsigned char	__io(0x25b)	MB5D5;	/* 0x25b:  */
extern unsigned char	__io(0x25c)	MB5D6;	/* 0x25c:  */
extern unsigned char	__io(0x25d)	MB5D7;	/* 0x25d:  */
extern unsigned int	__io(0x25e)	MB5TSV;	/* 0x25e:  */
/*extern unsigned char	__io(0x25e)	MB5TSVL;	 0x25e:  */
/*extern unsigned char	__io(0x25f)	MB5TSVH;	 0x25f:  */

/***[0x260]*****************************************************************/
extern unsigned int	__io(0x260)	MB6MI0;	/* 0x260:  */
/*extern unsigned char	__io(0x260)	MB6MI0L;	 0x260:  */
/*extern unsigned char	__io(0x261)	MB6MI0H;	 0x261:   */
extern unsigned int	__io(0x262)	MB6MI1;	/* 0x262:  */
/*extern unsigned char	__io(0x262)	MB6MI1L;	 0x262:  */
/*extern unsigned char	__io(0x263)	MB6MI1H;	 0x263:  */
extern unsigned int	__io(0x264)	MB6MCF;	/* 0x264:  */
/*extern unsigned char	__io(0x264)	MB6MCFL;	 0x264:  */
/*extern unsigned char	__io(0x265)	MB6MCFH;	 0x265:  */
extern unsigned char	__io(0x266)	MB6D0;	/* 0x266:  */
extern unsigned char	__io(0x267)	MB6D1;	/* 0x267:  */
extern unsigned char	__io(0x268)	MB6D2;	/* 0x268:  */
extern unsigned char	__io(0x269)	MB6D3;	/* 0x269:  */
extern unsigned char	__io(0x26a)	MB6D4;	/* 0x26a:  */
extern unsigned char	__io(0x26b)	MB6D5;	/* 0x26b:  */
extern unsigned char	__io(0x26c)	MB6D6;	/* 0x26c:  */
extern unsigned char	__io(0x26d)	MB6D7;	/* 0x26d:  */
extern unsigned int	__io(0x26e)	MB6TSV;	/* 0x26e:  */
/*extern unsigned char	__io(0x26e)	MB6TSVL;	 0x26e:  */
/*extern unsigned char	__io(0x26f)	MB6TSVH;	 0x26f:  */

/***[0x270]*****************************************************************/
extern unsigned int	__io(0x270)	MB7MI0;	/* 0x270:  */
/*extern unsigned char	__io(0x270)	MB7MI0L;	 0x270:  */
/*extern unsigned char	__io(0x271)	MB7MI0H;	 0x271:   */
extern unsigned int	__io(0x272)	MB7MI1;	/* 0x272:  */
/*extern unsigned char	__io(0x272)	MB7MI1L;	 0x272:  */
/*extern unsigned char	__io(0x273)	MB7MI1H;	 0x273:  */
extern unsigned int	__io(0x274)	MB7MCF;	/* 0x274:  */
/*extern unsigned char	__io(0x274)	MB7MCFL;	 0x274:  */
/*extern unsigned char	__io(0x275)	MB7MCFH;	 0x275:  */
extern unsigned char	__io(0x276)	MB7D0;	/* 0x276:  */
extern unsigned char	__io(0x277)	MB7D1;	/* 0x277:  */
extern unsigned char	__io(0x278)	MB7D2;	/* 0x278:  */
extern unsigned char	__io(0x279)	MB7D3;	/* 0x279:  */
extern unsigned char	__io(0x27a)	MB7D4;	/* 0x27a:  */
extern unsigned char	__io(0x27b)	MB7D5;	/* 0x27b:  */
extern unsigned char	__io(0x27c)	MB7D6;	/* 0x27c:  */
extern unsigned char	__io(0x27d)	MB7D7;	/* 0x27d:  */
extern unsigned int	__io(0x27e)	MB7TSV;	/* 0x27e:  */
/*extern unsigned char	__io(0x27e)	MB7TSVL;	 0x27e:  */
/*extern unsigned char	__io(0x27f)	MB7TSVH;	 0x27f:  */

/***[0x280]*****************************************************************/
extern unsigned int	__io(0x280)	MB8MI0;	/* 0x280:  */
/*extern unsigned char	__io(0x280)	MB8MI0L;	 0x280:  */
/*extern unsigned char	__io(0x281)	MB8MI0H;	 0x281:   */
extern unsigned int	__io(0x282)	MB8MI1;	/* 0x282:  */
/*extern unsigned char	__io(0x282)	MB8MI1L;	 0x282:  */
/*extern unsigned char	__io(0x283)	MB8MI1H;	 0x283:  */
extern unsigned int	__io(0x284)	MB8MCF;	/* 0x284:  */
/*extern unsigned char	__io(0x284)	MB8MCFL;	 0x284:  */
/*extern unsigned char	__io(0x285)	MB8MCFH;	 0x285:  */
extern unsigned char	__io(0x286)	MB8D0;	/* 0x286:  */
extern unsigned char	__io(0x287)	MB8D1;	/* 0x287:  */
extern unsigned char	__io(0x288)	MB8D2;	/* 0x288:  */
extern unsigned char	__io(0x289)	MB8D3;	/* 0x289:  */
extern unsigned char	__io(0x28a)	MB8D4;	/* 0x28a:  */
extern unsigned char	__io(0x28b)	MB8D5;	/* 0x28b:  */
extern unsigned char	__io(0x28c)	MB8D6;	/* 0x28c:  */
extern unsigned char	__io(0x28d)	MB8D7;	/* 0x28d:  */
extern unsigned int	__io(0x28e)	MB8TSV;	/* 0x28e:  */
/*extern unsigned char	__io(0x28e)	MB8TSVL;	 0x28e:  */
/*extern unsigned char	__io(0x28f)	MB8TSVH;	 0x28f:  */

/***[0x290]*****************************************************************/
extern unsigned int	__io(0x290)	MB9MI0;	/* 0x290:  */
/*extern unsigned char	__io(0x290)	MB9MI0L;	 0x290:  */
/*extern unsigned char	__io(0x291)	MB9MI0H;	 0x291:   */
extern unsigned int	__io(0x292)	MB9MI1;	/* 0x292:  */
/*extern unsigned char	__io(0x292)	MB9MI1L;	 0x292:  */
/*extern unsigned char	__io(0x293)	MB9MI1H;	 0x293:  */
extern unsigned int	__io(0x294)	MB9MCF;	/* 0x294:  */
/*extern unsigned char	__io(0x294)	MB9MCFL;	 0x294:  */
/*extern unsigned char	__io(0x295)	MB9MCFH;	 0x295:  */
extern unsigned char	__io(0x296)	MB9D0;	/* 0x296:  */
extern unsigned char	__io(0x297)	MB9D1;	/* 0x297:  */
extern unsigned char	__io(0x298)	MB9D2;	/* 0x298:  */
extern unsigned char	__io(0x299)	MB9D3;	/* 0x299:  */
extern unsigned char	__io(0x29a)	MB9D4;	/* 0x29a:  */
extern unsigned char	__io(0x29b)	MB9D5;	/* 0x29b:  */
extern unsigned char	__io(0x29c)	MB9D6;	/* 0x29c:  */
extern unsigned char	__io(0x29d)	MB9D7;	/* 0x29d:  */
extern unsigned int	__io(0x29e)	MB9TSV;	/* 0x29e:  */
/*extern unsigned char	__io(0x29e)	MB9TSVL;	 0x29e:  */
/*extern unsigned char	__io(0x29f)	MB9TSVH;	 0x29f:  */

/***[0x2a0]*****************************************************************/
extern unsigned int	__io(0x2a0)	MB10MI0;	/* 0x2a0:  */
/*extern unsigned char	__io(0x2a0)	MB10MI0L;	 0x2a0:  */
/*extern unsigned char	__io(0x2a1)	MB10MI0H;	 0x2a1:   */
extern unsigned int	__io(0x2a2)	MB10MI1;	/* 0x2a2:  */
/*extern unsigned char	__io(0x2a2)	MB10MI1L;	 0x2a2:  */
/*extern unsigned char	__io(0x2a3)	MB10MI1H;	 0x2a3:  */
extern unsigned int	__io(0x2a4)	MB10MCF;	/* 0x2a4:  */
/*extern unsigned char	__io(0x2a4)	MB10MCFL;	 0x2a4:  */
/*extern unsigned char	__io(0x2a5)	MB10MCFH;	 0x2a5:  */
extern unsigned char	__io(0x2a6)	MB10D0;	/* 0x2a6:  */
extern unsigned char	__io(0x2a7)	MB10D1;	/* 0x2a7:  */
extern unsigned char	__io(0x2a8)	MB10D2;	/* 0x2a8:  */
extern unsigned char	__io(0x2a9)	MB10D3;	/* 0x2a9:  */
extern unsigned char	__io(0x2aa)	MB10D4;	/* 0x2aa:  */
extern unsigned char	__io(0x2ab)	MB10D5;	/* 0x2ab:  */
extern unsigned char	__io(0x2ac)	MB10D6;	/* 0x2ac:  */
extern unsigned char	__io(0x2ad)	MB10D7;	/* 0x2ad:  */
extern unsigned int	__io(0x2ae)	MB10TSV;	/* 0x2ae:  */
/*extern unsigned char	__io(0x2ae)	MB10TSVL;	 0x2ae:  */
/*extern unsigned char	__io(0x2af)	MB10TSVH;	 0x2af:  */

/***[0x2b0]*****************************************************************/
extern unsigned int	__io(0x2b0)	MB11MI0;	/* 0x2b0:  */
/*extern unsigned char	__io(0x2b0)	MB11MI0L;	 0x2b0:  */
/*extern unsigned char	__io(0x2b1)	MB11MI0H;	 0x2b1:   */
extern unsigned int	__io(0x2b2)	MB11MI1;	/* 0x2b2:  */
/*extern unsigned char	__io(0x2b2)	MB11MI1L;	 0x2b2:  */
/*extern unsigned char	__io(0x2b3)	MB11MI1H;	 0x2b3:  */
extern unsigned int	__io(0x2b4)	MB11MCF;	/* 0x2b4:  */
/*extern unsigned char	__io(0x2b4)	MB11MCFL;	 0x2b4:  */
/*extern unsigned char	__io(0x2b5)	MB11MCFH;	 0x2b5:  */
extern unsigned char	__io(0x2b6)	MB11D0;	/* 0x2b6:  */
extern unsigned char	__io(0x2b7)	MB11D1;	/* 0x2b7:  */
extern unsigned char	__io(0x2b8)	MB11D2;	/* 0x2b8:  */
extern unsigned char	__io(0x2b9)	MB11D3;	/* 0x2b9:  */
extern unsigned char	__io(0x2ba)	MB11D4;	/* 0x2ba:  */
extern unsigned char	__io(0x2bb)	MB11D5;	/* 0x2bb:  */
extern unsigned char	__io(0x2bc)	MB11D6;	/* 0x2bc:  */
extern unsigned char	__io(0x2bd)	MB11D7;	/* 0x2bd:  */
extern unsigned int	__io(0x2be)	MB11TSV;	/* 0x2be:  */
/*extern unsigned char	__io(0x2be)	MB11TSVL;	 0x2be:  */
/*extern unsigned char	__io(0x2bf)	MB11TSVH;	 0x2bf:  */

/***[0x2c0]*****************************************************************/
extern unsigned int	__io(0x2c0)	MB12MI0;	/* 0x2c0:  */
/*extern unsigned char	__io(0x2c0)	MB12MI0L;	 0x2c0:  */
/*extern unsigned char	__io(0x2c1)	MB12MI0H;	 0x2c1:   */
extern unsigned int	__io(0x2c2)	MB12MI1;	/* 0x2c2:  */
/*extern unsigned char	__io(0x2c2)	MB12MI1L;	 0x2c2:  */
/*extern unsigned char	__io(0x2c3)	MB12MI1H;	 0x2c3:  */
extern unsigned int	__io(0x2c4)	MB12MCF;	/* 0x2c4:  */
/*extern unsigned char	__io(0x2c4)	MB12MCFL;	 0x2c4:  */
/*extern unsigned char	__io(0x2c5)	MB12MCFH;	 0x2c5:  */
extern unsigned char	__io(0x2c6)	MB12D0;	/* 0x2c6:  */
extern unsigned char	__io(0x2c7)	MB12D1;	/* 0x2c7:  */
extern unsigned char	__io(0x2c8)	MB12D2;	/* 0x2c8:  */
extern unsigned char	__io(0x2c9)	MB12D3;	/* 0x2c9:  */
extern unsigned char	__io(0x2ca)	MB12D4;	/* 0x2ca:  */
extern unsigned char	__io(0x2cb)	MB12D5;	/* 0x2cb:  */
extern unsigned char	__io(0x2cc)	MB12D6;	/* 0x2cc:  */
extern unsigned char	__io(0x2cd)	MB12D7;	/* 0x2cd:  */
extern unsigned int	__io(0x2ce)	MB12TSV;	/* 0x2ce:  */
/*extern unsigned char	__io(0x2ce)	MB12TSVL;	 0x2ce:  */
/*extern unsigned char	__io(0x2cf)	MB12TSVH;	 0x2cf:  */

/***[0x2d0]*****************************************************************/
extern unsigned int	__io(0x2d0)	MB13MI0;	/* 0x2d0:  */
/*extern unsigned char	__io(0x2d0)	MB13MI0L;	 0x2d0:  */
/*extern unsigned char	__io(0x2d1)	MB13MI0H;	 0x2d1:   */
extern unsigned int	__io(0x2d2)	MB13MI1;	/* 0x2d2:  */
/*extern unsigned char	__io(0x2d2)	MB13MI1L;	 0x2d2:  */
/*extern unsigned char	__io(0x2d3)	MB13MI1H;	 0x2d3:  */
extern unsigned int	__io(0x2d4)	MB13MCF;	/* 0x2d4:  */
/*extern unsigned char	__io(0x2d4)	MB13MCFL;	 0x2d4:  */
/*extern unsigned char	__io(0x2d5)	MB13MCFH;	 0x2d5:  */
extern unsigned char	__io(0x2d6)	MB13D0;	/* 0x2d6:  */
extern unsigned char	__io(0x2d7)	MB13D1;	/* 0x2d7:  */
extern unsigned char	__io(0x2d8)	MB13D2;	/* 0x2d8:  */
extern unsigned char	__io(0x2d9)	MB13D3;	/* 0x2d9:  */
extern unsigned char	__io(0x2da)	MB13D4;	/* 0x2da:  */
extern unsigned char	__io(0x2db)	MB13D5;	/* 0x2db:  */
extern unsigned char	__io(0x2dc)	MB13D6;	/* 0x2dc:  */
extern unsigned char	__io(0x2dd)	MB13D7;	/* 0x2dd:  */
extern unsigned int	__io(0x2de)	MB13TSV;	/* 0x2de:  */
/*extern unsigned char	__io(0x2de)	MB13TSVL;	 0x2de:  */
/*extern unsigned char	__io(0x2df)	MB13TSVH;	 0x2df:  */

/***[0x2e0]*****************************************************************/
extern unsigned int	__io(0x2e0)	MB14MI0;	/* 0x2e0:  */
/*extern unsigned char	__io(0x2e0)	MB14MI0L;	 0x2e0:  */
/*extern unsigned char	__io(0x2e1)	MB14MI0H;	 0x2e1:   */
extern unsigned int	__io(0x2e2)	MB14MI1;	/* 0x2e2:  */
/*extern unsigned char	__io(0x2e2)	MB14MI1L;	 0x2e2:  */
/*extern unsigned char	__io(0x2e3)	MB14MI1H;	 0x2e3:  */
extern unsigned int	__io(0x2e4)	MB14MCF;	/* 0x2e4:  */
/*extern unsigned char	__io(0x2e4)	MB14MCFL;	 0x2e4:  */
/*extern unsigned char	__io(0x2e5)	MB14MCFH;	 0x2e5:  */
extern unsigned char	__io(0x2e6)	MB14D0;	/* 0x2e6:  */
extern unsigned char	__io(0x2e7)	MB14D1;	/* 0x2e7:  */
extern unsigned char	__io(0x2e8)	MB14D2;	/* 0x2e8:  */
extern unsigned char	__io(0x2e9)	MB14D3;	/* 0x2e9:  */
extern unsigned char	__io(0x2ea)	MB14D4;	/* 0x2ea:  */
extern unsigned char	__io(0x2eb)	MB14D5;	/* 0x2eb:  */
extern unsigned char	__io(0x2ec)	MB14D6;	/* 0x2ec:  */
extern unsigned char	__io(0x2ed)	MB14D7;	/* 0x2ed:  */
extern unsigned int	__io(0x2ee)	MB14TSV;	/* 0x2ee:  */
/*extern unsigned char	__io(0x2ee)	MB14TSVL;	 0x2ee:  */
/*extern unsigned char	__io(0x2ef)	MB14TSVH;	 0x2ef:  */

/***[0x2f0]*****************************************************************/
extern unsigned int	__io(0x2f0)	MB15MI0;	/* 0x2f0:  */
/*extern unsigned char	__io(0x2f0)	MB15MI0L;	 0x2f0:  */
/*extern unsigned char	__io(0x2f1)	MB15MI0H;	 0x2f1:   */
extern unsigned int	__io(0x2f2)	MB15MI1;	/* 0x2f2:  */
/*extern unsigned char	__io(0x2f2)	MB15MI1L;	 0x2f2:  */
/*extern unsigned char	__io(0x2f3)	MB15MI1H;	 0x2f3:  */
extern unsigned int	__io(0x2f4)	MB15MCF;	/* 0x2f4:  */
/*extern unsigned char	__io(0x2f4)	MB15MCFL;	 0x2f4:  */
/*extern unsigned char	__io(0x2f5)	MB15MCFH;	 0x2f5:  */
extern unsigned char	__io(0x2f6)	MB15D0;	/* 0x2f6:  */
extern unsigned char	__io(0x2f7)	MB15D1;	/* 0x2f7:  */
extern unsigned char	__io(0x2f8)	MB15D2;	/* 0x2f8:  */
extern unsigned char	__io(0x2f9)	MB15D3;	/* 0x2f9:  */
extern unsigned char	__io(0x2fa)	MB15D4;	/* 0x2fa:  */
extern unsigned char	__io(0x2fb)	MB15D5;	/* 0x2fb:  */
extern unsigned char	__io(0x2fc)	MB15D6;	/* 0x2fc:  */
extern unsigned char	__io(0x2fd)	MB15D7;	/* 0x2fd:  */
extern unsigned int	__io(0x2fe)	MB15TSV;	/* 0x2fe:  */
/*extern unsigned char	__io(0x2fe)	MB15TSVL;	 0x2fe:  */
/*extern unsigned char	__io(0x2ff)	MB15TSVH;	 0x2ff:  */

/***[0x300]*****************************************************************/
extern unsigned int	__io(0x300)	MC;	/* 0x300:  */
/*extern unsigned char	__io(0x300)	MCL;	 0x300:  */
/*extern unsigned char	__io(0x301)	MCH;	 0x301:   */
extern unsigned int	__io(0x302)	MD;	/* 0x302:  */
/*extern unsigned char	__io(0x302)	MDL;	 0x302:  */
/*extern unsigned char	__io(0x303)	MDH;	 0x303:  */
extern unsigned int	__io(0x304)	TRS;	/* 0x304:  */
/*extern unsigned char	__io(0x304)	TRSL;	 0x304:  */
/*extern unsigned char	__io(0x305)	TRSH;	 0x305:  */
extern unsigned int	__io(0x306)	TRR;	/* 0x306:  */
/*extern unsigned char	__io(0x306)	TRRL;	 0x306:  */
/*extern unsigned char	__io(0x307)	TRRH;	 0x307:  */
extern unsigned int	__io(0x308)	TA;	/* 0x308:  */
/*extern unsigned char	__io(0x308)	TAL;	 0x308:  */
/*extern unsigned char	__io(0x309)	TAH;	 0x309:  */
extern unsigned int	__io(0x30a)	AA;	/* 0x30a:  */
/*extern unsigned char	__io(0x30a)	AAL;	 0x30a:  */
/*extern unsigned char	__io(0x30b)	AAH;	 0x30b:  */
extern unsigned int	__io(0x30c)	RMP;	/* 0x30c:  */
/*extern unsigned char	__io(0x30c)	RMPL;	 0x30c:  */
/*extern unsigned char	__io(0x30d)	RMPH;	 0x30d:  */
extern unsigned int	__io(0x30e)	RML;	/* 0x30e:  */
/*extern unsigned char	__io(0x30e)	RMLL;	 0x30e:  */
/*extern unsigned char	__io(0x30f)	RMLH;	 0x30f:  */

/***[0x310]*****************************************************************/
extern unsigned int	__io(0x310)	LAM0;	/* 0x310:  */
/*extern unsigned char	__io(0x310)	LAM0L;	 0x310:  */
/*extern unsigned char	__io(0x311)	LAM0H;	 0x311:   */
extern unsigned int	__io(0x312)	LAM1;	/* 0x312:  */
/*extern unsigned char	__io(0x312)	LAM1L;	 0x312:  */
/*extern unsigned char	__io(0x313)	LAM1H;	 0x313:  */
extern unsigned int	__io(0x314)	GAM0;	/* 0x314:  */
/*extern unsigned char	__io(0x314)	GAM0L;	 0x314:  */
/*extern unsigned char	__io(0x315)	GAM0H;	 0x315:  */
extern unsigned int	__io(0x316)	GAM1;	/* 0x316:  */
/*extern unsigned char	__io(0x316)	GAM1L;	 0x316:  */
/*extern unsigned char	__io(0x317)	GAM1H;	 0x317:  */
extern unsigned int	__io(0x318)	MCR;	/* 0x318:  */
/*extern unsigned char	__io(0x318)	MCRL;	 0x318:  */
/*extern unsigned char	__io(0x319)	MCRH;	 0x319:  */
extern unsigned int	__io(0x31a)	GSR;	/* 0x31a:  */
/*extern unsigned char	__io(0x31a)	GSRL;	 0x31a:  */
/*extern unsigned char	__io(0x31b)	GSRH;	 0x31b:  */
extern unsigned int	__io(0x31c)	BCR1;	/* 0x31c:  */
/*extern unsigned char	__io(0x31c)	BCR1L;	 0x31c:  */
/*extern unsigned char	__io(0x31d)	BCR1H;	 0x31d:  */
extern unsigned int	__io(0x31e)	BCR2;	/* 0x31e:  */
/*extern unsigned char	__io(0x31e)	BCR2L;	 0x31e:  */
/*extern unsigned char	__io(0x31f)	BCR2H;	 0x31f:  */

/***[0x320]*****************************************************************/
extern unsigned int	__io(0x320)	GIF;	/* 0x320:  */
/*extern unsigned char	__io(0x320)	GIFL;	 0x320:  */
/*extern unsigned char	__io(0x321)	GIFH;	 0x321:   */
extern unsigned int	__io(0x322)	GIM;	/* 0x322:  */
/*extern unsigned char	__io(0x322)	GIML;	 0x322:  */
/*extern unsigned char	__io(0x323)	GIMH;	 0x323:  */
extern unsigned int	__io(0x324)	MBTIF;	/* 0x324:  */
/*extern unsigned char	__io(0x324)	MBTIFL;	 0x324:  */
/*extern unsigned char	__io(0x325)	MBTIFH;	 0x325:  */
extern unsigned int	__io(0x326)	MBRIF;	/* 0x326:  */
/*extern unsigned char	__io(0x326)	MBRIFL;	 0x326:  */
/*extern unsigned char	__io(0x327)	MBRIFH;	 0x327:  */
extern unsigned int	__io(0x328)	MBIM;	/* 0x328:  */
/*extern unsigned char	__io(0x328)	MBIML;	 0x328:  */
/*extern unsigned char	__io(0x329)	MBIMH;	 0x329:  */
extern unsigned int	__io(0x32a)	CDR;	/* 0x32a:  */
/*extern unsigned char	__io(0x32a)	CDRL;	 0x32a:  */
/*extern unsigned char	__io(0x32b)	CDRH;	 0x32b:  */
extern unsigned int	__io(0x32c)	RFP;	/* 0x32c:  */
/*extern unsigned char	__io(0x32c)	RFPL;	 0x32c:  */
/*extern unsigned char	__io(0x32d)	RFPH;	 0x32d:  */
extern unsigned int	__io(0x32e)	CEC;	/* 0x32e:  */
/*extern unsigned char	__io(0x32e)	CECL;	 0x32e:  */
/*extern unsigned char	__io(0x32f)	CECH;	 0x32f:  */

/***[0x330]*****************************************************************/
extern unsigned int	__io(0x330)	TSP;	/* 0x330:  */
/*extern unsigned char	__io(0x330)	TSPL;	 0x330:  */
/*extern unsigned char	__io(0x331)	TSPH;	 0x331:   */
extern unsigned int	__io(0x332)	TSC;	/* 0x332:  */
/*extern unsigned char	__io(0x332)	TSCL;	 0x332:  */
/*extern unsigned char	__io(0x333)	TSCH;	 0x333:  */

/*=={EOF}==*/
