/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{IOC.H}					**
 *	[Subject]	{Mask pattern for I/O & SFR}		*
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

/*****************************
 *   I/O port mask pattern   *
 *****************************/
/*********************
 *   IOP0 (Port-0)   *
*********************/
#define	P07	0x80	/* Read/Write */
#define	P06	0x40	/* Read/Write */
#define	P05	0x20	/* Read/Write */
#define	P04	0x10	/* Read/Write */
#define	P03	0x08	/* Read/Write */
#define	P02	0x04	/* Read/Write */
#define	P01	0x02	/* Read/Write */
#define	P00	0x01	/* Read/Write */

/*********************
 *   IOP4 (Port-4)   *
 *********************/
#define	P47	0x80	/* Read/Write */
#define	P46	0x40	/* Read/Write */
#define	P45	0x20	/* Read/Write */
#define	P44	0x10	/* Read/Write */
#define	P43	0x08	/* Read/Write */
#define	P42	0x04	/* Read/Write */
#define	P41	0x02	/* Read/Write */
#define	P40	0x01	/* Read/Write */

/*********************
 *   IOP7 (Port-7)   *
 *********************/
#define	P75	0x20	/* Read/Write */
#define	P74	0x10	/* Read/Write */
#define	P73	0x08	/* Read/Write */
#define	P72	0x04	/* Read/Write */
#define	P71	0x02	/* Read/Write */
#define	P70	0x01	/* Read/Write */

/*********************
 *   IOPC (Port-C)   *
 *********************/
#define	PC5	0x20	/* Read/Write */
#define	PC4	0x10	/* Read/Write */
#define	PC3	0x08	/* Read/Write */
#define	PC2	0x04	/* Read/Write */
#define	PC1	0x02	/* Read/Write */
#define	PC0	0x01	/* Read/Write */

/*********************
 *   IOPD (Port-D)   *
 *********************/
#define	PD7	0x80	/* Read/Write */
#define	PD6	0x40	/* Read/Write */
#define	PD5	0x20	/* Read/Write */
#define	PD4	0x10	/* Read/Write */
#define	PD3	0x08	/* Read/Write */
#define	PD2	0x04	/* Read/Write */
#define	PD1	0x02	/* Read/Write */
#define	PD0	0x01	/* Read/Write */


/*********************
 *   IOPF (Port-F)   *
 *********************/
#define	PF7	0x80	/* Read/Write */
#define	PF6	0x40	/* Read/Write */
#define	PF5	0x20	/* Read/Write */
#define	PF4	0x10	/* Read/Write */
#define	PF3	0x08	/* Read/Write */
#define	PF2	0x04	/* Read/Write */
#define	PF1	0x02	/* Read/Write */
#define	PF0	0x01	/* Read/Write */

/*********************
 *   IOPG (Port-G)   *
 *********************/
#define	PG7	0x80	/* Read */
#define	PG6	0x40	/* Read */
#define	PG5	0x20	/* Read */
#define	PG4	0x10	/* Read */
#define	PG3	0x08	/* Read */
#define	PG2	0x04	/* Read */
#define	PG1	0x02	/* Read */
#define	PG0	0x01	/* Read */

/*********************
 *   IOPL (Port-L)   *
 *********************/
#define	PL3	0x08	/* Read */
#define	PL2	0x04	/* Read */
#define	PL1	0x02	/* Read */
#define	PL0	0x01	/* Read */

/*********************
 *   IOPM (Port-M)   *
 *********************/
#define	PM7	0x80	/* Read/Write */
#define	PM6	0x40	/* Read/Write */
#define	PM5	0x20	/* Read/Write */
#define	PM4	0x10	/* Read/Write */
#define	PM3	0x08	/* Read/Write */
#define	PM2	0x04	/* Read/Write */
#define	PM1	0x02	/* Read/Write */
#define	PM0	0x01	/* Read/Write */

/*********************
 *   IOPN (Port-N)   *
 *********************/
#define	PN5	0x20	/* Read/Write */
#define	PN4	0x10	/* Read/Write */
#define	PN3	0x08	/* Read/Write */
#define	PN2	0x04	/* Read/Write */
#define	PN1	0x02	/* Read/Write */
#define	PN0	0x01	/* Read/Write */

/*****************************************
 *   I/O Control Register mask pattern   *
 *****************************************/
/****************************
 *   P0CR (Port0 control)   *
 ****************************/
#define	P07C	0x80	/* Write only. */
#define	P06C	0x40	/* Write only. */
#define	P05C	0x20	/* Write only. */
#define	P04C	0x10	/* Write only. */
#define	P03C	0x08	/* Write only. */
#define	P02C	0x04	/* Write only. */
#define	P01C	0x02	/* Write only. */
#define	P00C	0x01	/* Write only. */
			/*			0:input		1:output	*/

/*****************************
 *   P0FC (Port0 function)   *
 *****************************/
#define	P00F	0x01	/* Write only. IOP0 Bit0 function; 0:I/O  1:Bus */

/****************************
 *   P4CR (Port4 control)   *
 ****************************/
#define	P47C	0x80	/* Write only.  */
#define	P46C	0x40	/* Write only.  */
#define	P45C	0x20	/* Write only.  */
#define	P44C	0x10	/* Write only.  */
#define	P43C	0x08	/* Write only.  */
#define	P42C	0x04	/* Write only.  */
#define	P41C	0x02	/* Write only.  */
#define	P40C	0x01	/* Write only.  */
			/*			0:input		1:output	*/

/*****************************
 *   P4FC (Port4 function)   *
 *****************************/
#define	P47F	0x80	/* Write only. IOP4 Bit7 function; 0:OUT  1:A7 */
#define	P46F	0x40	/* Write only. IOP4 Bit6 function; 0:OUT  1:A6 */
#define	P45F	0x20	/* Write only. IOP4 Bit5 function; 0:OUT  1:A5 */
#define	P44F	0x10	/* Write only. IOP4 Bit4 function; 0:OUT  1:A4 */
#define	P43F	0x08	/* Write only. IOP4 Bit3 function; 0:OUT  1:A3 */
#define	P42F	0x04	/* Write only. IOP4 Bit2 function; 0:OUT  1:A2 */
#define	P41F	0x02	/* Write only. IOP4 Bit1 function; 0:OUT  1:A1 */
#define	P40F	0x01	/* Write only. IOP4 Bit0 function; 0:OUT  1:A0 */

/****************************
 *   P7CR (Port7 control)   *
 ****************************/
#define	P75C	0x20	/* Write only. 				0:input		1:output	*/
#define	P74C	0x10	/* Write only. 				0:input		1:output	*/
#define	P73C	0x08	/* Write only. 				0:input		1:output	*/
#define	P72C	0x04	/* Write only. 				0:input		1:output	*/
#define	P71C	0x02	/* Write only. 				0:input		1:output	*/
#define	P70C	0x01	/* Write only. 				0:input		1:output	*/
  

/*****************************
 *   P7FC (Port7 function)   *
 *****************************/
#define	P75F	0x20	/* Write only. IOP7 Bit5 function; 0:I/O  1:/WAIT   */
#define	P74F	0x10	/* Write only. IOP7 Bit4 function; 0:I/O  1:CLKOUT2 */
#define	P73F	0x08	/* Write only. IOP7 Bit3 function; 0:I/O  1:/CS     */
#define	P72F	0x04	/* Write only. IOP7 Bit2 function; 0:I/O  1:        */
#define	P71F	0x02	/* Write only. IOP7 Bit1 function; 0:I/O  1:/WR     */
#define	P70F	0x01	/* Write only. IOP7 Bit0 function; 0:I/O  1:/RD     */

/****************************
 *   PCCR (PortC control)   *
 ****************************/
#define	PC5C	0x20	/* Write only, 				0:input		1:output	*/
#define	PC4C	0x10	/* Write only. 				0:input		1:output	*/
#define	PC3C	0x08	/* Write only, 				0:input		1:output	*/
#define	PC2C	0x04	/* Write only. 				0:input		1:output	*/
#define	PC1C	0x02	/* Write only, 				0:input		1:output	*/
#define	PC0C	0x01	/* Write only. 				0:input		1:output	*/

/*****************************
 *   PCFC (PortC function)   *
 *****************************/
#define	PC5F	0x20	/* Write only.IOPC Bit5 function; 0:I/O INT4  1:TO7    */
#define	PC4F	0x10	/* Write only.IOPC Bit4 function; 0:I/O       1:TO5    */
#define	PC3F	0x08	/* Write only.IOPC Bit3 function; 0:I/O INT3  1:TI4    */
#define	PC2F	0x04	/* Write only.IOPC Bit2 function; 0:I/O INT2  1:TO3    */
#define	PC1F	0x02	/* Write only.IOPC Bit1 function; 0:I/O       1:TO1    */
#define	PC0F	0x01	/* Write only.IOPC Bit0 function; 0:I/O INT1  1:TI0    */

/****************************
 *   PDCR (PortD control)   *
 ****************************/
#define	PD7C	0x80	/* Write only.  */
#define	PD6C	0x40	/* Write only.  */
#define	PD5C	0x20	/* Write only.  */
#define	PD4C	0x10	/* Write only.  */
#define	PD3C	0x08	/* Write only.  */
#define	PD2C	0x04	/* Write only.  */
#define	PD1C	0x02	/* Write only.  */
#define	PD0C	0x01	/* Write only.  */
			/*			0:input		1:output	*/

/*****************************
 *   PDFC (PortD function)   *
 *****************************
#define	PD7F	0x80	/* Write only. IOPD Bit7 function; 0:I/O      1:TOB A15 */
#define	PD6F	0x40	/* Write only. IOPD Bit6 function; 0:I/O      1:TOA A14 */
#define	PD5F	0x20	/* Write only. IOPD Bit5 function; 0:I/O      1:TIB A13 */
#define	PD4F	0x10	/* Write only. IOPD Bit4 function; 0:I/O INT7 1:TIA A12 */
#define	PD3F	0x08	/* Write only. IOPD Bit3 function; 0:I/O      1:TO9 A11 */
#define	PD2F	0x04	/* Write only. IOPD Bit2 function; 0:I/O      1:TO8 A10 */
#define	PD1F	0x02	/* Write only. IOPD Bit1 function; 0:I/O INT6 1:TI9 A9  */
#define	PD0F	0x01	/* Write only. IOPD Bit0 function; 0:I/O INT5 1:TI8 A8  */

/****************************
 *   PFCR (PortF control)   *
 ****************************/
#define	PF7C	0x80	/* Write only.  */
#define	PF6C	0x40	/* Write only.  */
#define	PF5C	0x20	/* Write only.  */
#define	PF4C	0x10	/* Write only.  */
#define	PF3C	0x08	/* Write only.  */
#define	PF2C	0x04	/* Write only.  */
#define	PF1C	0x02	/* Write only.  */
#define	PF0C	0x01	/* Write only.  */
			/*			0:input		1:output	*/

/*****************************
 *   PFFC (PortF function)   *
 *****************************
#define	PF7F	0x80	/* Write only. IOPF Bit7 function; 0:I/O  1:RX  */
#define	PF6F	0x40	/* Write only. IOPF Bit6 function; 0:I/O  1:TX */
#define	PF5F	0x20	/* Write only. IOPF Bit5 function; 0:I/O  1:/CTS1 SCLK1 */
#define	PF4F	0x10	/* Write only. IOPF Bit4 function; 0:I/O  1:RXD1 */
#define	PF3F	0x08	/* Write only. IOPF Bit3 function; 0:I/O  1:TXD1 */
#define	PF2F	0x04	/* Write only. IOPF Bit2 function; 0:I/O  1:/CTS0 SCLK0 */
#define	PF1F	0x02	/* Write only. IOPF Bit1 function; 0:I/O  1:RXD0 */
#define	PF0F	0x01	/* Write only. IOPF Bit0 function; 0:I/O  1:TXD0 */

/****************************
 *   PMCR (PortM control)   *
 ****************************/
#define	PM7C	0x80	/* Write only.  */
#define	PM6C	0x40	/* Write only.  */
#define	PM5C	0x20	/* Write only.  */
#define	PM4C	0x10	/* Write only.  */
#define	PM3C	0x08	/* Write only.  */
#define	PM2C	0x04	/* Write only.  */
#define	PM1C	0x02	/* Write only.  */
#define	PM0C	0x01	/* Write only.  */
			/*			0:input		1:output	*/

/*****************************
 *   PMFC (PortM function)   *
 *****************************
#define	PM7F	0x80	/* Write only. IOPM Bit7 function; 0:I/O  1:SECLK1 A23 */
#define	PM6F	0x40	/* Write only. IOPM Bit6 function; 0:I/O  1:MISO1  A22 */
#define	PM5F	0x20	/* Write only. IOPM Bit5 function; 0:I/O  1:MOSI1  A21 */
#define	PM4F	0x10	/* Write only. IOPM Bit4 function; 0:I/O  1:/SS1   A20 */
#define	PM3F	0x08	/* Write only. IOPM Bit3 function; 0:I/O  1:SECLK0 A19 */
#define	PM2F	0x04	/* Write only. IOPM Bit2 function; 0:I/O  1:MISO0  A18 */
#define	PM1F	0x02	/* Write only. IOPM Bit1 function; 0:I/O  1:MOSI0  A17 */
#define	PM0F	0x01	/* Write only. IOPM Bit0 function; 0:I/O  1:/SS0   A16 */

/****************************
 *   PNCR (PortN control)   *
 ****************************/
#define	PN5C	0x20	/* Write only.  */
#define	PN4C	0x10	/* Write only.  */
#define	PN3C	0x08	/* Write only.  */
#define	PN2C	0x04	/* Write only.  */
#define	PN1C	0x02	/* Write only.  */
#define	PN0C	0x01	/* Write only.  */
			/*			0:input		1:output	*/

/*****************************
 *   PNFC (PortN function)   *
 *****************************
#define	PN5F	0x20	/* Write only. IOPN Bit5 function; 0:I/O  1:SI1 SCL1 */
#define	PN4F	0x10	/* Write only. IOPN Bit4 function; 0:I/O  1:SO1 SDA1 */
#define	PN3F	0x08	/* Write only. IOPN Bit3 function; 0:I/O  1:SCLK1    */
#define	PN2F	0x04	/* Write only. IOPN Bit2 function; 0:I/O  1:SI0 SCL0 */
#define	PN1F	0x02	/* Write only. IOPN Bit1 function; 0:I/O  1:SO0 SDA0 */
#define	PN0F	0x01	/* Write only. IOPN Bit0 function; 0:I/O  1:SCK0     */

/*-eof-*/
