/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{SBI.H}				    **
 *	[Subject]	{Mask pattern for Serial Bus Interface}	*
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

#define	ID7		0x80
#define	ID6		0x40
#define	ID5		0x20
#define	ID4		0x10
#define	ID3		0x08
#define	ID2		0x04
#define	ID1		0x02
#define	ID0		0x01

/**********************************************
 *   SBI0CR1 (SBI0 Control Register 1)        *
 *   SBI1CR1 (SBI1 Control Register 1)        *
 *********************************************/
#define	BC2		0x80
#define	BC1		0x40
#define	BC0		0x20
#define	BC_		0xe0
#define	ACK		0x10
#define	SCK2		0x04
#define	SCK1		0x02
#define	SCK0		0x01
#define	SWRMON		0x01
#define	SCK_		0x07

#define	SIOS		0x80
#define	SIOINH		0x40
#define	SIOM1		0x20
#define	SIOM0		0x10

/**********************************************
 *   SBI0DBR (SBI0 Buffer Register )          *
 *   SBI1DBR (SBI1 Buffer Register )          *
 *********************************************/
#define	RB7		0x80
#define	RB6		0x40
#define	RB5		0x20
#define	RB4		0x10
#define	RB3		0x08
#define	RB2		0x04
#define	RB1		0x02
#define	RB0		0x01

#define	TB7		0x80
#define	TB6		0x40
#define	TB5		0x20
#define	TB4		0x10
#define	TB3		0x08
#define	TB2		0x04
#define	TB1		0x02
#define	TB0		0x01

/**********************************************
 *   I2C0AR (I2CBUS0 Address Register)       *
 *   I2C1AR (I2CBUS1 Address Register)       *
 *********************************************/
#define	SA6		0x80
#define	SA5		0x40
#define	SA4		0x20
#define	SA3		0x10
#define	SA2		0x08
#define	SA1		0x04
#define	SA0		0x02
#define	ALS		0x01

/**********************************************
 *   SBI0CR2 (SBI0 Control Register 2)        *
 *   SBI1CR2 (SBI1 Control Register 2)        *
 *   SBI0SR  (SBI0 Status Register)           *
 *********************************************/
#define	MST		0x80
#define	TRX		0x40
#define	BB		0x20
#define	PIN		0x10
#define	SBIM1		0x08
#define	SBIM0		0x04
#define	SBIM_		0x0C
#define	SWRST1		0x02
#define	SWRST0		0x01
#define	SWRST_		0x03

/**********************************************
 *   SBI0SR  (SBI0 Status Register)           *
 *********************************************/
#define	AL		0x08
#define	AAS		0x04
#define	AD0		0x02
#define	LRB		0x01

/**********************************************
 *   SBI0BR0 (SBI0 Baud Rate Register 0)      *
 *********************************************/
#define	I2SBI0		0x40

/**********************************************
 *   SBI0BR1 (SBI0 Baud Rate Register 1)      *
 *********************************************/
#define	P4EN		0x80

/*-eof-*/
