/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
**	[File name]	{SEI.H}				    **
 *	[Subject]	{Mask pattern for Serial Extended Interface}	*
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

/**********************************************
 *   SECR0/ SECR1 (SEI contorol)              *
 **********************************************/
#define	MODE	0x80	/* Mode fault detection 0:disable 1:enable */
#define	SEE		0x40	/* SEI 0:stop    1:operate */
#define	BOS		0x20	/* Bit order 0:MSB fast 1:LSB fast */
#define	MSTR	0x10	/* MODE 0:Slave 1:Master */
#define	CPOL	0x08	/* Clock pole  0:H level 1:L level */
#define	CPHA	0x04	/* Clock phase */
#define	SER1	0x02	/* SEI transfer rate */
#define	SER0	0x01	/* SEI transfer rate */
#define	SER		0x03	/* SEI transfer rate 
                        00:2 divide
						01:4 divide
						10:8 divide
						11:32 divide */

/**********************************************
 *   SESR0/ SESR1 (SEI Status Control)        *
 **********************************************/
	/* compatibility mode */
#define	SEF		0x80	/* SEI transfer   0:unfinished 1:finished */
#define	WCOL	0x40	/* Write collision 0:No collision 1:collision */
#define	SOVF	0x20	/* Overflow        0:No Overflow 1:Overflow */
#define	MODF	0x10	/* Mode fault(Master) 0:No fault 1:fault */
#define	TMSE	0x01	/* SEI mode 0:compatibility 1:micro DMA */
	/* micro DMA mode */
#define	WCOL	0x40	/* Write collision 0:No collision 1:collision */
#define	SOVF	0x20	/* Overflow        0:No Overflow 1:Overflow */
#define	MODF	0x10	/* Mode fault(Master) 0:No fault 1:fault */	
#define	TSRC	0x08	/* SEI receive     0:unfinished 1:finished */
#define	TSTC	0x04	/* SEI send        0:unfinished 1:finished */
#define	TASM	0x02	/* auto shift enable(Master),Interrupt mask(slave) */
#define	TMSE	0x01	/* SEI mode 0:compatibility 1:micro DMA */

/**********************************************
 *   SEDR0/SEDR1                              *
 *********************************************/
#define	SED7	0x80	/* Transfer/Receive Data Bit7 */
#define	SED6	0x40	/* Transfer/Receive Data Bit6 */
#define	SED5	0x20	/* Transfer/Receive Data Bit5 */
#define	SED4	0x10	/* Transfer/Receive Data Bit4 */
#define	SED3	0x08	/* Transfer/Receive Data Bit3 */
#define	SED2	0x04	/* Transfer/Receive Data Bit2 */
#define	SED1	0x02	/* Transfer/Receive Data Bit1 */
#define	SED0	0x01	/* Transfer/Receive Data Bit0 */
#define	SED		0xFF	/* Transfer/Receive Data */

/*-eof-*/
