;=====================================================================
;        Standard startup program for TLCS-900/H2 [ Sample ]
;                            [TMP94FD53]
;                           Revision: 1.00
;  This program is examples of standard startup program for
;  TMP94FD53.
;  When you use this sample program, you must rewrite to fit your 
;  system. And please confirm that there is no mistake about 
;  generated object code.
;=====================================================================
;     Copyright(C) TOSHIBA CORPORATION 2001  All rights reserved
;=====================================================================

;*********************************************************************
;*
;*       This file, originally deliverd by TOSHIBA, was modified
;*       by SEGGER Microntroller Systeme GmbH
;*       to be used with embOS:
;*
;*       1.  BaseXSP declared PUBLIC to be used for stack check
;*
;*       2.  C_STACK_SIZE declared and made PUBLIC to be used 
;*           for stack check
;*
;*       NOTE: When changing BaseXSP to change stack size, please
;*             recalculate C_STACK_SIZE !
;*
;*********************************************************************


$MAXIMUM
    module   stc94ml_mac

;=====================================================================
; [ Define MCU address ]
;  This part is definition of target MCU's ROM/RAM address.
;  Rewrite this part to fit your system.
;=====================================================================


;** Modifications 1 + 2 by SEGGER for embOS **************************

    PUBLIC   BaseXSP;
    PUBLIC   C_STACK_SIZE

C_STACK_SIZE equ     0x200     ; (BaseXSP - first free RAM address) 
BaseXSP      equ     0x600     ; Stack area top address


;===[ External symbol definition ]====================================
    extern   medium   _BCSL        ; Defined in 'io900h2.c"
    extern   medium   _WDMOD       ; Defined in 'io900h2.c'
    extern   medium   _WDCR        ; Defined in 'io900h2.c'
    extern   large    __DataRAM    ; Defined in 'lnc94.lcf'
    extern   large    __Initial    ; Defined in 'ini94ml.c'
    extern   large    __Initial    ; Defined in 'ini94ml.c'

;=====================================================================
; [ Dummy section ]
;  This part is for initialize of f_area and f_data section.
;  Do not rewrite this part.
;=====================================================================
f_area  section  data  large  align=2,2
f_data  section  data  large  align=2,2

;=====================================================================
; [ Startup routine ]
;  This part is start up routine.
;  Rewrite this part to fit your program.
;
;==[ Caution !! ]=====================================================
;  Don't use following instructions before setting XSP.
;   ( CALL  condition, dst )  ,  ( CALR  dst )
;   ( LINK  dst, num )        ,  ( POP   dst )
;   ( POP   SR )              ,  ( PUSH  SR )
;   ( PUSH  src )             ,  ( RET   condition )
;   ( RETD  num )             ,  ( RETI )
;   ( SWI   num )             ,  ( UNLK  dst )
;=====================================================================
f_code  section  code  large   ; Startup routine Section

;===[ Global symbol '__startup' definition ]==========================
    public  __startup          ; Used in 'ini94ml.c'
__startup:

    public  ._startup          ; Used in 'ini94ml.c'
._startup:

;===[ Disable interrupt ]=============================================
    di        ; For disable interrupt before setting XSP
              ; IFF = 7 ( Set IFF bit0 to bit2 = 111 )

;===[ Set WAIT and bus width / WDT disable setting ]==================
;   Rewrite this part to fit your program.
    ldb     (_BCSL),0x11    ; Set WAIT
; 'BCSL'  <- 00010001
    ldb     (_WDMOD),0x00   ; [for RTE] WDT disable
; 'WDMOD' <- 00000000
    ldb     (_WDCR),0xb1    ;
; 'WDCR'  <- 10110001

;===[ Setting Stack Pointer ]=========================================
    ld      XSP,BaseXSP     ; For Setting XSP

;===[ RAM CLEAR ]=====================================================
    ld      xde,startof(f_area)
    ld      xbc,sizeof(f_area)
    ld      ix,bc
    srl     1,xbc
    j       z,FAR_AREA_2
    ld      xhl,xde
    ldw     (xde+),0
    sub     xbc,1
    j       z,FAR_AREA_2
    ldirw   (xde+),(xhl+)
    cp      qbc,0
    j       eq,FAR_AREA_2
    ld      wa,qbc
FAR_AREA_3:
    ldirw   (xde+),(xhl+)
    djnz    wa,FAR_AREA_3
FAR_AREA_2:
    bit     0,ix
    j       z,FAR_AREA_1
    ldb     (xde),0
FAR_AREA_1:

;===[ Initialize of f_data section ]==================================
    ld      xde,__DataRAM
    ld      xhl,startof(f_data)
    ld      xbc,sizeof(f_data)
    or      xbc,xbc
    j       z,FAR_DATA_1
    ldirb   (XDE+),(XHL+)
    cp      qbc,0
    j       eq,FAR_DATA_1
    ld      wa,qbc
FAR_DATA_2:
    ldirb   (xde+),(xhl+)
    djnz    wa,FAR_DATA_2
FAR_DATA_1:

;===[ Jump to initial routine ]=======================================
    j       __Initial      ; Defined in 'ini94ml.c'

    end

