 /*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**  [File name]	{TIME.H}				*
**	[Subject]	{Mask pattern for Timer}		*
**	[For]		{TMP94FD53}				**
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/

/*************************************************
 *   TRUN01 (Timer0,1 Run Contorol)	  	         *
 *************************************************/
				/* read/write */
#define T0RDE		0x80  	/* TREG0 Double buffer  0:Disable 1:enable  */
#define I2T01		0x08	/* IDLE2 mode           0:stop    1:operate */
#define T01PRUN 	0x04	/* Prescaler  */
#define T1RUN 		0x02	/* Timer1     */
#define T0RUN 		0x01	/* Timer0     */
                            /* 0:stop&clear 1:run(count up) */

/*******************************************************
 *   TMOD01 (timer0,1 source clock & mode control)   *
 *******************************************************/
#define	T01M1		0x80	/*---mode of timer0,1---*/
#define	T01M0		0x40	/*---mode of timer0,1---*/
#define	T01M		0xc0	/*---mode of timer0,1(T01M1,T01M0)---
							00: 8bit timer
							01:16bit timer
							10: 8bit PPG
							11: 8bit PWM(timer0) & 8bit timer(timer1) */
#define	PWM01		0x20	/*---cycle of PWM---*/
#define	PWM00		0x10	/*---cycle of PWM---*/
#define	PWM0		0x30	/*---cycle of PWM(PWM01,PWM00)---
							00:---
							01:(2^6)-1 PWM
							10:(2^7)-1 PWM
							11:(2^8)-1 PWM		*/
#define	T1CLK1		0x08	/*---source clock of timer1---*/
#define	T1CLK0		0x04	/*---source clock of timer1---*/
#define	T1CLK		0x0c	/*---source clock of timer1(T1CLK1,T1CLK0)-----
				  			----T01M1,0!=01-----T01M1,0==01---------------------
							00:T0TRG			00:Output of timer0 overflow
							01:$T1				01:Output of timer0 overflow
							10:$T16				10:Output of timer0 overflow
							11:$T256			11:Output of timer0 overflow	*/
#define	T0CLK1		0x02	/*---source clock of timer0---*/
#define	T0CLK0		0x01	/*---source clock of timer0---*/
#define	T0CLK		0x03	/*---source clock of timer0(T0CLK1,T0CLK0)---
							00:TI0
							01:$T1
							10:$T4
							11:$T16		*/

/********************************************
 *   TFFCR1 (timer1 flop-flop control)      *
 ********************************************/
				/* read/write */
#define	TFF1C1		0x08	/*---timer F/F1 control---*/
#define	TFF1C0		0x04	/*---timer F/F1 control---*/
#define	TFF1C		0x0c	/*---timer F/F1 control(TFF1C1&TFF1C0)---
							00:invert
							01:set TFF1
							10:clear TFF1
							11:Don't care		*/
#define	TFF1IE		0x02	/* invert timer F/F1;	0:disable  1:enable */
#define	TFF1IS		0x01	/* source signal of timer F/F1;	0:timer0  1:timer1 */

/*************************************************
 *   TRUN23 (Timer2,3 Run Contorol)	  	         *
 *************************************************/
				/* read/write */
#define T2RDE		0x80  	/* TREG2 Double buffer  0:Disable 1:enable  */
#define I2T23		0x08	/* IDLE2 mode           0:stop    1:operate */
#define T23PRUN 	0x04	/* Prescaler  */
#define T3RUN 		0x02	/* Timer3     */
#define T2RUN 		0x01	/* Timer2     */
                            /* 0:stop&clear 1:run(count up) */

/*******************************************************
 *   TMOD23 (timer2,3 source clock & mode control)   *
 *******************************************************/
#define	T23M1		0x80	/*---mode of timer2,3---*/
#define	T23M0		0x40	/*---mode of timer2,3---*/
#define	T23M		0xc0	/*---mode of timer2,3(T23M1,T23M0)---
							00: 8bit timer
							01:16bit timer
							10: 8bit PPG
							11: 8bit PWM(timer2) & 8bit timer(timer3) */
#define	PWM21		0x20	/*---cycle of PWM---*/
#define	PWM20		0x10	/*---cycle of PWM---*/
#define	PWM2		0x30	/*---cycle of PWM(PWM21,PWM20)---
							00:---
							01:(2^6)-1 PWM
							10:(2^7)-1 PWM
							11:(2^8)-1 PWM		*/
#define	T3CLK1		0x08	/*---source clock of timer3---*/
#define	T3CLK0		0x04	/*---source clock of timer3---*/
#define	T3CLK		0x0c	/*---source clock of timer3(T3CLK1,T3CLK0)-----
				  			----T23M1,0!=01-----T23M1,0==01---------------------
							00:T2TRG			00:Output of timer2 overflow
							01:$T1				01:Output of timer2 overflow
							10:$T16				10:Output of timer2 overflow
							11:$T256			11:Output of timer2 overflow	*/
#define	T2CLK1		0x02	/*---source clock of timer2---*/
#define	T2CLK0		0x01	/*---source clock of timer2---*/
#define	T2CLK		0x03	/*---source clock of timer2(T2CLK1,T2CLK0)---
							00:Reserved
							01:$T1
							10:$T4
							11:$T16		*/

/********************************************
 *   TFFCR3 (timer3 flop-flop control)      *
 ********************************************/
				/* read/write */
#define	TFF3C1		0x08	/*---timer F/F3 control---*/
#define	TFF3C0		0x04	/*---timer F/F3 control---*/
#define	TFF3C		0x0c	/*---timer F/F3 control(TFF3C1&TFF3C0)---
							00:invert
							01:set TFF3 
							10:clear TFF3
							11:Don't care		*/
#define	TFF3IE		0x02	/* invert timer F/F3;	0:disable  1:enable */
#define	TFF3IS		0x01	/* source signal of timer F/F3;	0:timer2  1:timer3 */

/*************************************************
 *   TRUN45 (Timer4,5 Run Contorol)	  	         *
 *************************************************/
				/* read/write */
#define T4RDE		0x80  	/* TREG4 Double buffer  0:Disable 1:enable  */
#define I2T45		0x08	/* IDLE2 mode           0:stop    1:operate */
#define T45PRUN 	0x04	/* Prescaler  */
#define T5RUN 		0x02	/* Timer5     */
#define T4RUN 		0x01	/* Timer4     */
                            /* 0:stop&clear 1:run(count up) */

/*******************************************************
 *   TMOD45 (timer4,5 source clock & mode control)   *
 *******************************************************/
#define	T45M1		0x80	/*---mode of timer4,5---*/
#define	T45M0		0x40	/*---mode of timer4,5---*/
#define	T45M		0xc0	/*---mode of timer4,5(T45M1,T45M0)---
							00: 8bit timer
							01:16bit timer
							10: 8bit PPG
							11: 8bit PWM(timer4) & 8bit timer(timer5) */
#define	PWM41		0x20	/*---cycle of PWM---*/
#define	PWM40		0x10	/*---cycle of PWM---*/
#define	PWM4		0x30	/*---cycle of PWM(PWM41,PWM40)---
							00:---
							01:(2^6)-1 PWM
							10:(2^7)-1 PWM
							11:(2^8)-1 PWM		*/
#define	T5CLK1		0x08	/*---source clock of timer5---*/
#define	T5CLK0		0x04	/*---source clock of timer5---*/
#define	T5CLK		0x0c	/*---source clock of timer5(T5CLK1,T5CLK0)-----
				  			----T45M1,0!=01-----T45M1,0==01---------------------
							00:T4TRG			00:Output of timer4 overflow
							01:$T1				01:Output of timer4 overflow
							10:$T16				10:Output of timer4 overflow
							11:$T256			11:Output of timer4 overflow	*/
#define	T4CLK1		0x02	/*---source clock of timer4---*/
#define	T4CLK0		0x01	/*---source clock of timer4---*/
#define	T4CLK		0x03	/*---source clock of timer4(T4CLK1,T4CLK0)---
							00:TI4
							01:$T1
							10:$T4
							11:$T16		*/

/********************************************
 *   TFFCR5 (timer5 flop-flop control)      *
 ********************************************/
				/* read/write */
#define	TFF5C1		0x08	/*---timer F/F5 control---*/
#define	TFF5C0		0x04	/*---timer F/F5 control---*/
#define	TFF5C		0x0c	/*---timer F/F5 control(TFF5C1&TFF5C0)---
							00:invert
							01:set TFF5
							10:clear TFF5
							11:Don't care		*/
#define	TFF5IE		0x02	/* invert timer F/F5;	0:disable  1:enable */
#define	TFF5IS		0x01	/* source signal of timer F/F5;	0:timer4  1:timer5 */

/*************************************************
 *   TRUN67 (Timer6,7 Run Contorol)	  	         *
 *************************************************/
				/* read/write */
#define T6RDE		0x80  	/* TREG6 Double buffer  0:Disable 1:enable  */
#define I2T67		0x08	/* IDLE2 mode           0:stop    1:operate */
#define T67PRUN 	0x04	/* Prescaler  */
#define T7RUN 		0x02	/* Timer7     */
#define T6RUN 		0x01	/* Timer6     */
                            /* 0:stop&clear 1:run(count up) */

/*******************************************************
 *   TMOD67 (timer6,7 source clock & mode control)   *
 *******************************************************/
#define	T67M1		0x80	/*---mode of timer6,7---*/
#define	T67M0		0x40	/*---mode of timer6,7---*/
#define	T67M		0xc0	/*---mode of timer6,7(T67M1,T67M0)---
							00: 8bit timer
							01:16bit timer
							10: 8bit PPG
							11: 8bit PWM(timer6) & 8bit timer(timer7) */
#define	PWM61		0x20	/*---cycle of PWM---*/
#define	PWM60		0x10	/*---cycle of PWM---*/
#define	PWM6		0x30	/*---cycle of PWM(PWM61,PWM60)---
							00:---
							01:(2^6)-1 PWM
							10:(2^7)-1 PWM
							11:(2^8)-1 PWM		*/
#define	T7CLK1		0x08	/*---source clock of timer7---*/
#define	T7CLK0		0x04	/*---source clock of timer7---*/
#define	T7CLK		0x0c	/*---source clock of timer7(T7CLK1,T7CLK0)-----
				  			----T67M1,0!=01-----T67M1,0==01---------------------
							00:T6TRG			00:Output of timer6 overflow
							01:$T1				01:Output of timer6 overflow
							10:$T16				10:Output of timer6 overflow
							11:$T256			11:Output of timer6 overflow	*/
#define	T6CLK1		0x02	/*---source clock of timer6---*/
#define	T6CLK0		0x01	/*---source clock of timer6---*/
#define	T6CLK		0x03	/*---source clock of timer6(T6CLK1,T6CLK0)---
							00:Reserved
							01:$T1
							10:$T4
							11:$T16		*/

/********************************************
 *   TFFCR7 (timer7 flop-flop control)      *
 ********************************************/
				/* read/write */
#define	TFF7C1		0x08	/*---timer F/F7 control---*/
#define	TFF7C0		0x04	/*---timer F/F7 control---*/
#define	TFF7C		0x0c	/*---timer F/F7 control(TFF7C1&TFF7C0)---
							00:invert
							01:set TFF7
							10:clear TFF7
							11:Don't care		*/
#define	TFF7IE		0x02	/* invert timer F/F7;	0:disable  1:enable */
#define	TFF7IS		0x01	/* source signal of timer F/F7;	0:timer6  1:timer7 */

/*************************************************
 *   TRUN8 (Timer8 Run Contorol)	  	         *
 *************************************************/
				/* read/write */
#define T8RDE		0x80  	/* TREG8 Double buffer  0:Disable 1:enable  */
#define I2T8 		0x08	/* IDLE2 mode           0:stop    1:operate */
#define T8PRUN		0x04	/* Prescaler  */
#define T8RUN 		0x01	/* Timer8     */
                            /* 0:stop&clear 1:run(count up) */
/************************************************
 *   TMOD8 (16bit timer8 source & clock mode)   *
 ************************************************/
				/* read /write */
#define	CAP9T9		0x80	/* Invert When the UCvalue is loaded to CAP9 */
#define	EQ9T9		0x40	/* Invert When the up-counter matches TREG9  */
							/* TFF9 invert trigger 0:Disable 1;Enable    */
				/* write */
#define	CAP8IN		0x20	/* software capture;			0:capture  1:--- */
				/* read /write */
#define	CAP89M1		0x10	/*---timming of capture---*/
#define	CAP89M0		0x08	/*---timming of capture---*/
#define	CAP89M		0x18	/*---timming of capture(CAP89M1,CAP89M0)---
					---------capture control-----INT5 control------------
					00:disable					00:TI8  _|~
					01:TI8  _|~ ,  TI9  _|~ 	00:TI8  _|~
					10:TI8  _|~ ,  TI8  ~|_ 	00:TI8  ~|_
					11:TFF1 _|~ ,  TFF1 ~|_ 	00:TI8  _|~ */

#define	T8CLE		0x04	/* up-counter clear 0:Disable 1:enable */
#define	T8CLK1		0x02	/*---source clock of timer8---*/
#define	T8CLK0		0x01	/*---source clock of timer8---*/
#define	T8CLK		0x03	/*---source clock of timer8---
					00:TI8
					01:$T1
					10:$T4
					11:$T16		*/

/**********************************************
 *   TFFCR8 (16bit timer8 flip-flop control)  *
 **********************************************/
				/* write */
#define	TFF9C1		0x80	/*---timer F/F9 control---*/
#define	TFF9C0		0x40	/*---timer F/F9 control---*/
#define	TFF9C		0xC0	/*---timer F/F9 control---
							00:invert TFF9
							01:set TFF9
							10:clear TFF9
							11:Don't care TFF9		*/
				/* read/write */
#define	CAP9T8		0x20	/* trigger of timer F/F8 invert with CAP9;	0:disable  1:enable */
#define	CAP8T8		0x10	/* trigger of timer F/F8 invert with CAP8;	0:disable  1:enable */
#define	EQ9T8		0x08	/* trigger of timer F/F8 invert with TREG9;	0:disable  1:enable */
#define	EQ8T8		0x04	/* trigger of timer F/F8 invert with TREG8;	0:disable  1:enable */
				/* write */
#define	TFF8C1		0x02	/*---timer F/F8 control---*/
#define	TFF8C0		0x01	/*---timer F/F8 control---*/
#define	TFF8C		0x03	/*---timer F/F8 control---
					00:invert TFF8
					01:set TFF8
					10:clear TFF8
					11:Don't care TFF8		*/

/*************************************************
 *   TRUNA (TimerA Run Contorol)	  	         *
 *************************************************/
				/* read/write */
#define TARDE		0x80  	/* TREGA Double buffer  0:Disable 1:enable  */
#define I2TA 		0x08	/* IDLE2 mode           0:stop    1:operate */
#define TAPRUN		0x04	/* Prescaler  */
#define TARUN 		0x01	/* TimerA     */
                            /* 0:stop&clear 1:run(count up) */
/************************************************
 *   TMODA (16bit timerA source & clock mode)   *
 ************************************************/
				/* read /write */
#define	CAPBTB		0x80	/* Invert When the UCvalue is loaded to CAPB */
#define	EQBTB		0x40	/* Invert When the up-counter matches TREGB  */
							/* TFFB invert trigger 0:Disable 1;Enable    */
				/* write */
#define	CAPAIN		0x20	/* software capture;			0:capture  1:--- */
				/* read /write */
#define	CAPABM1		0x10	/*---timming of capture---*/
#define	CAPABM0		0x08	/*---timming of capture---*/
#define	CAPABM		0x18	/*---timming of capture(CAPABM1,CAPABM0)---
					---------capture control-----INT7 control------------
					00:disable					00:TIA  _|~
					01:TIA  _|~ ,  TIB  _|~ 	00:TIA  _|~
					10:TIA  _|~ ,  TIA  ~|_ 	00:TIA  ~|_
					11:TFF1 _|~ ,  TFF1 ~|_ 	00:TIA  _|~ */

#define	TACLE		0x04	/* up-counter clear 0:Disable 1:enable */
#define	TACLK1		0x02	/*---source clock of timerA---*/
#define	TACLK0		0x01	/*---source clock of timerA---*/
#define	TACLK		0x03	/*---source clock of timerA---
					00:TIA
					01:$T1
					10:$T4
					11:$T16		*/

/**********************************************
 *   TFFCRA (16bit timerA flip-flop control)  *
 **********************************************/
				/* write */
#define	TFFBC1		0x80	/*---timer F/FB control---*/
#define	TFFBC0		0x40	/*---timer F/FB control---*/
#define	TFFBC		0xC0	/*---timer F/FB control---
							00:invert TFFB
							01:set TFFB
							10:clear TFFB
							11:Don't care TFFB		*/
				/* read/write */
#define	CAPBTA		0x20	/* trigger of timer F/FA invert with CAPB;	0:disable  1:enable */
#define	CAPATA		0x10	/* trigger of timer F/FA invert with CAPA;	0:disable  1:enable */
#define	EQBTA		0x08	/* trigger of timer F/FA invert with TREGB;	0:disable  1:enable */
#define	EQATA		0x04	/* trigger of timer F/FA invert with TREGA;	0:disable  1:enable */
				/* write */
#define	TFFAC1		0x02	/*---timer F/FA control---*/
#define	TFFAC0		0x01	/*---timer F/FA control---*/
#define	TFFAC		0x03	/*---timer F/FA control---
					00:invert TFFA
					01:set TFFA
					10:clear TFFA
					11:Don't care TFFA		*/

/* end */
