/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[For]		{TMP94FD53}				**
 *	[File name]	{WDT.H}					*
 *	[Subject]	{Control of clock}	*
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/
/***********************************
 *   WDMOD (watchdog timer mode)   *
 ***********************************/
#define	WDTE		0x80	/* watchdog timer control;	0:disable  1:enable */
#define	WDTP1		0x40	/*---timming of detection--*/
#define	WDTP0		0x20	/*---timming of detection---*/
#define	WDTP		0x60	/*---timming of detection(WDTP1,WDTP0)---
							00:2^16/fc
							01:2^18/fc
							10:2^20/fc
							11:2^22/fc		*/
#define	DRVE		0x08	/* drive mode
							0:disable (high-impedance)
							1:enable  (to drive pin in stop mode)	*/
#define	I2WDT		0x04	/* IDLE2 mode 0:stop 1:operate */
#define	RESCR		0x02	/* 0:? 1:Connect internally WDToutpin to  ResetPin */

/*************************************
 *   WDCR (watchdog timer control)   *
 *************************************/

#define	WDTDI		0xb1	/* WDT Disable code */
#define	WDTCL		0x4e	/* WDT Clear code */

/*************************************
 *   CLKMOD (clock mode control)     *
 *************************************/
#define	HALTM1		0x80	/*---stand by mode---*/
#define	HALTM0		0x40	/*---stand by mode---*/
#define	HALTM		0xC0	/*---stand by mode(HALTM1,HALTM0)---
					00:---
					01:stop mode 
					10:idle1 mode
					11:idle2 mode		*/
#define	WARM 		0x10	/* Warming up Time  0:2^15/fc 1:2^17/fc */
#define	CLKOE		0x04	/* CLK1OUT output enable 0:No Output(pull up) 1:Output(pull up) */
#define	CLKM1		0x02	/* ---CLK1OUT clock--- */
#define	CLKM0		0x01	/* ---CLK1OUT clock--- */
#define	CLKM 		0x03	/* ---CLK1OUT clock---
							00:fc
							01:reserved
							10:2/5fc
							11:reserved */

/*-eof-*/



